2021-06-16  Jacob Bachmeyer  <jcb@gnu.org>

	* DejaGnu 1.6.3 released.

	* configure: Regenerate.

	* runtest.exp, configure.ac, doc/version.texi: Update version.

2021-05-22  Jacob Bachmeyer  <jcb@gnu.org>

	* Makefile.am (TESTSUITE_FILES): Correct oversight.

	* configure, Makefile.in, aclocal.m4: Regenerate.

	* runtest.exp, configure.ac, doc/version.texi: Update version.

	* dejagnu: Fix error message.

	* config.guess: Import patched version; patches sent upstream.

	* commands/help.sh: Add test mode in which man(1) is never
	actually invoked.  The ability to reference a manpage by absolute
	file name seems to be unique to Free systems.
	* testsuite/launcher.all/help.exp: Amend test list to use new
	testing mode in "dejagnu help" command.  This mode should also
	work on Solaris, so the logic for skipping the tests is removed.

2021-05-20  Jacob Bachmeyer  <jcb@gnu.org>

	* dejagnu: Search for a POSIX Awk and validate that at least a
	simple Awk program actually works.
	* testsuite/launcher.all/command.exp: Add tests for error produced
	when no Awk is found and a help message is requested.

	* lib/dejagnu.exp: Avoid reporting next test as UNRESOLVED when
	reporting error due to missing size(1) while loading file.

	* testsuite/lib/runtest.exp (runtest_copy_nested_testsuite_log):
	New procedure.  Dumps log from nested run into main test log.

	* testsuite/runtest.libs/utils.test: Change test for [which make]
	to [which sh] because make(1) is not always available on non-GNU
	systems but sh(1) exists on any Unix.  GNU make is often installed
	as "gmake" on non-GNU systems and may be the only "make" utility.

	* testsuite/runtest.main/pr42399.exp (test_pr42399): Revise to
	ensure that a failure to produce any output at all in the inner
	test will be detected.  This was discovered on Solaris 10.

	* testsuite/runtest.main/stats.exp: Copy stat.log from nested
	testsuite run to the main test log upon test failure.

	* testsuite/runtest.main/nested/testsuite/stat.test/unit-sub.exp:
	Explicitly pass /dev/null to unit-sub.awk because /usr/bin/awk on
	Solaris 10 does not seem to recognize assignment to ARGV.
	* testsuite/runtest.main/nested/testsuite/bug.test/pr42399-sub.exp:
	Likewise.

2021-05-18  Jacob Bachmeyer  <jcb@gnu.org>

	* dejagnu: Redirect input from /dev/null when testing if awk is
	GNU Awk; this avoids a hang on Solaris 10 where awk treats
	--version as an Awk program and attempts to read input.
	(command): Rework the initial setting of this variable to avoid
	limitations in Solaris 10 awk.

	* testsuite/report-card.all/onetest.exp: Avoid Tcl error when item
	and totals lines are missing entirely.

	* testsuite/runtest.main/pr48155.exp: Fix assumption about exit
	code from /bin/false, which is different on Solaris.

2021-05-05  Jacob Bachmeyer  <jcb@gnu.org>

	PR48155

	* Makefile.am (TESTSUITE_FILES): Update.
	(CLEANFILES): Add special init file for PR48155 nested tests.

	* testsuite/runtest.main/pr48155.exp: New file.
	* testsuite/runtest.main/pr48155-csh.sh: New trivial file.  This
	script emulates the behavior of the C shell if an attempt is made
	to use it to run the config.guess script.

2021-05-04  Jacob Bachmeyer  <jcb@gnu.org>

	PR48155

	* runtest.exp: Tighten regexp used to validate output from
	config.guess.  The previous regexp would accept an error produced
	if config.guess was incorrectly run using the C shell.

2021-04-28  Jacob Bachmeyer  <jcb@gnu.org>

	* configure, Makefile.in: Regenerate.

	* runtest.exp, configure.ac, doc/version.texi: Update version.

	* Makefile.am (TAR_OPTIONS): Explicitly select v7 tarball format
	to work around Automake limitation of assuming that v7 is default.

2021-04-20  Jacob Bachmeyer  <jcb@gnu.org>

	* configure.ac: Set Automake options to use the ancient and
	universal V7 format when building distribution tarballs.  The
	limitations of this format are not expected to impact DejaGnu; the
	"ustar" format will be used instead if this is proved wrong.

	* Makefile.am (TAR_OPTIONS): Add exported environment variable to
	set options when building distribution tarballs.  Ensure that all
	files in distribution tarballs will be recorded as owned by root.

2021-04-16  Jacob Bachmeyer  <jcb@gnu.org>

	PR47382

	* dejagnu (command): Use Awk instead of non-portable basename(1)
	and a non-portable sed(1) pattern to initially set this variable.

	* dejagnu: Use shell "case" pattern match instead of non-portable
	"grep -q" to determine if "awk" is GNU Awk.

	* dejagnu: Use Awk instead of non-portable "grep -q" to verify
	that a file contains a help message.  Also use Awk to extract help
	messages from files, instead of a complex dynamic sed(1) program.

	* configure.ac: Remove experimental support for propagating
	CONFIG_SHELL to scripts in the source directory.

	* runtest.exp: Use CONFIG_SHELL or SHELL environment variable when
	running config.guess.  Check the result carefully and stop with an
	error immediately if running config.guess does not produce
	something that plausibly resembles a triplet.  Advise the user
	that SHELL or CONFIG_SHELL may need to be set in the environment.

2021-04-15  Jacob Bachmeyer  <jcb@gnu.org>

	PR47382

	* dejagnu: Avoid using $? for an exit code; it is convenient until
	the tests fail because the script is run on Solaris where false
	returns 255 instead of 1 and the test harness expects exit code 1.

2021-04-14  Jacob Bachmeyer  <jcb@gnu.org>

	PR47382

	* dejagnu: Replace use of "expr :" with shell "case" pattern
	match to avoid limitations of Solaris 10 expr(1).

2021-04-08  Jacob Bachmeyer  <jcb@gnu.org>

	* configure: Regenerate.

	* runtest.exp, configure.ac, doc/version.texi: Update version.

	* configure.ac: Change "dnl" comments that should appear in
	configure to regular comments.
	Add experimental support for propagating CONFIG_SHELL to the
	config.sub and config.guess scripts in the source directory.

2021-04-01  Jacob Bachmeyer  <jcb@gnu.org>

	PR47533

	* dejagnu, commands/help.sh, commands/report-card.awk: Revise help
	message to better fit GNU conventions, with thanks to Tom Tromey
	for the reporting this issue.

	PR47382

	* runtest: Remove use of non-portable "if !" that causes problems
	with /bin/sh on Solaris 10.

	* dejagnu (Variants): Split the declaration of this read-only
	variable into an assignment followed by marking it read-only,
	instead of doing both in one statement.  The Solaris 10 /bin/sh
	does not accept the combined form.

2021-03-30  Jacob Bachmeyer  <jcb@gnu.org>

	* configure: Regenerate.

	* runtest.exp, configure.ac, doc/version.texi: Update version.

2021-03-26  Jacob Bachmeyer  <jcb@gnu.org>

	PR47386

	* testsuite/launcher.all/help.exp: Skip the tests on Solaris,
	since Solaris man(1) does not accept explicit filenames.  The
	manpages will be installed as usual, and the "dejagnu help"
	command should work after installation.

	Also set PAGER for testing, since other systems might also ignore
	MANPAGER and that would cause the test to hang.

	* testsuite/lib/launcher.exp (dejagnu_run): Send commands run and
	copies of the output produced to the log.

	* commands/help.sh: Extend PR47382 fix (below) to this file.

	PR47385

	* testsuite/lib/runtest.exp: Remove support for automatically
	locating an Expect executable in the old Cygnus tree layout.

2021-03-25  Jacob Bachmeyer  <jcb@gnu.org>

	PR47382

	* dejagnu, runtest: Remove use of "$()" command substitution and
	"$(())" arithmetic substitution shell constructs.  The /bin/sh on
	Solaris 10 does not support them.  They were replaced with the
	traditional backticks for command substitution and backticks and
	the expr command for arithmetic substitution.

	Also add markers to explicitly disable shellcheck warnings that
	would lead to reintroducing these problems.

	Also avoid the non-portable "`..."..."...`" construct on a warning
	in the GNU Autoconf manual, section "Shell Substitutions",
	although this introduces additional variables.

2021-03-22  Jacob Bachmeyer  <jcb@gnu.org>

	* configure: Regenerate.

	* runtest.exp, configure.ac, doc/version.texi: Update version.

	* config.guess, config.sub: Import from upstream.

	* MAINTAINERS: Acknowledge that Ben Elliston has left the project.

2021-03-15  Jacob Bachmeyer  <jcb@gnu.org>

	* Makefile.am, Makefile.in: Update accordingly.

	* contrib/compare_tests: Remove.  This file lacked a GPL notice.
	This file was imported from GCC many years ago.  The GCC version
	has benefited from continued development, while ours has not.

	* testsuite/runtest.libs/load_lib.exp: Remove.  This file lacked a
	GPL notice and an attempt to contact the contributor produced no
	response.  The tests in this file will need to be rewritten in any
	case; there is a bug in load_lib that they should expose and there
	is now additional infrastructure for tests of this type that was
	not available when this file was written.

2020-12-27  Jacob Bachmeyer  <jcb@gnu.org>

	* testsuite/runtest.libs/libs.exp (process_test): Report running
	test scripts as each test script is run.
	Also, at top-level, sort the list of tests to run.

	* doc/dejagnu.texi (testsuite procedure): Remove noise word "api"
	from new "testsuite can call api" feature test API entrypoint.
	* lib/framework.exp (testsuite_can): Likewise.
	* testsuite/runtest.libs/testsuite_can.test: Likewise.
	* NEWS: Likewise.

2020-12-16  Jacob Bachmeyer  <jcb@gnu.org>

	* configure: Regenerate.

	* configure.ac: Remove Tcl version check.

	Apply patch from Nick Clifton:

	* baseboards/msp430-sim.exp: Add missing copyright and GPL notice.

	Apply patch from Dimitar Dimitrov:

	* baseboards/pru-sim.exp: New file.

	* Makefile.am (baseboard_DATA): Add pru-sim.exp to list.
	* Makefile.in (baseboard_DATA): Likewise.

2020-12-15  Jacob Bachmeyer  <jcb@gnu.org>

	* configure: Regenerate.
	* Makefile.in: Regenerate.

	* Makefile.am (RUNTEST): Explain override of Automake default.

	* configure.ac: Update for autoconf 2.69 using autoupdate.
	* configure.ac: Remove search for expect now handled by Automake.

	Apply patch from Dimitar Dimitrov:

	* Makefile.am (dejagnu_TEXINFOS): Change this...
	* Makefile.am (doc_dejagnu_TEXINFOS): ...to this.

	This fixes an incorrectly recorded dependency.

2020-11-17  Jacob Bachmeyer  <jcb@gnu.org>

	PR44636 / PR44693

	* doc/dejagnu.texi (Adding a new tool): Fix incorrect description
	that conflated the tool init file with the target interface file.
	(Make Check): Add cross-reference to the GNU Automake manual for
	more details.

2020-11-10  Jacob Bachmeyer  <jcb@gnu.org>

	PR44545

	* testsuite/lib/launcher.exp (link_dejagnu_launcher_test_item):
	Use [file normalize] to ensure that link targets are unambiguous.
	(link_dejagnu_launcher_test_item): Avoid spurious errors when test
	environment has already been prepared in a previous run.

	* testsuite/lib/launcher.exp (link_dejagnu_launcher_test_item):
	New procedure to collect existing repeated testsuite code.
	* testsuite/launcher.all/command.exp: Establish testing
	environment using link_dejagnu_launcher_test_item procedure.

2020-11-09  Jacob Bachmeyer  <jcb@gnu.org>

	* aclocal.m4: Regenerate.
	* configure: Regenerate.
	* Makefile.in: Regenerate.

	* configure.ac: Revert development version branch tagging hook.
	* Makefile.am: Likewise.

	These caused failures (reported in PR44462 as a secondary issue)
	when a source tree is copied out of a Git directory.

2020-08-31  Jacob Bachmeyer  <jcb@gnu.org>

	* doc/runtest.1: Add brief GFDL notice.  License notice in the
	formatted manpage should now describe DejaGnu as a whole.

	* NEWS: Prepare for release.

2020-08-18  Jacob Bachmeyer  <jcb@gnu.org>

	* testsuite/runtest.libs/testsuite_file.test: Add missing
	copyright and GPL notice.
	* testsuite/runtest.libs/testsuite_can.test: Likewise.
	* testsuite/runtest.libs/testcase_group.test: Likewise.

2020-08-12  Jacob Bachmeyer  <jcb@gnu.org>

	* doc/dejagnu.texi (The dejagnu_h header file): Remove node.
	(Running unit tests): Add node.
	(DejaGnu unit test protocol): Add node.
	(C unit testing API): Update to reflect current API.  Move mention
	of dejagnu.h header here in preparation for future expanded
	language support.
	(C++ unit testing API): Likewise.  Mention caveat that the C unit
	test API is also available in C++ programs.

2020-08-10  Jacob Bachmeyer  <jcb@gnu.org>

	* baseboards/qemu.exp: Tidy whitespace.

2020-08-10  Jacob Bachmeyer  <jcb@gnu.org>

	Merge patch from Kito Cheng to add support for RISC-V sim target.

	* baseboards/riscv-sim.exp: New file.
	* Makefile.am (baseboard_DATA): Add riscv-sim.exp.
	* Makefile.in (baseboard_DATA): Likewise.

2020-08-02  Jacob Bachmeyer  <jcb@gnu.org>

	* Makefile.am (TESTSUITE_FILES): Add files that were introduced
	during development but were mistakenly not added at that time.
	(baseboard_DATA): Sort baseboard file list.
	(baseboard_DATA): Add missing files.
	(dejagnu_TEXINFOS): New; add GNU FDL file.
	(CONTRIB): Add experimental Python unit test module.

	* Makefile.in (TESTSUITE_FILES): Likewise.
	(baseboard_DATA): Likewise.

	* testsuite/dejagnu.py:  Move from here...
	* contrib/dejagnu.py: ...to here.

2020-08-02  Rob Savoye  <rob@senecass.com>

	* Makefile.in: Regenerate so make dist works.

2020-07-25  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	* doc/dejagnu.texi (Writing a test case): Mention the DejaGnu
	procedure "perror" instead of the Tcl command "error".
	(Writing a test case): Reorganize node and give basic hints about
	Tcl quoting and backslash escape rules.
	(Writing a test case): Describe synchronization issues and warn
	that prefixes of valid input can be presented for matching.
	(Writing a test case): Fix markup from conversion from DocBook.

2020-07-22  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR42399

	* NEWS: Document changes to host_execute.

	* lib/dejagnu.exp (host_execute): Revise expect matching to
	combine all unit test protocol lines into one pattern.
	(host_execute): Rework other expect patterns.
	(host_execute): Ensure that all output from child process is read
	until the child closes its output to avoid sending early SIGPIPE.
	(host_execute): Report an ERROR (and cause the next test to be
	recorded as UNRESOLVED) if the Expect matching buffer overflows.
	(host_execute): Remove dependency on global "text" variable.

	* Makefile.am (TESTSUITE_FILES): Update.

	* testsuite/runtest.main/stats.exp: Generalize infrastructure and
	add tests for DejaGnu unit testing support.
	* testsuite/runtest.main/nested/testsuite/stat.test/unit-sub.exp:
	New file.
	* testsuite/runtest.main/nested/testsuite/stat.test/unit-sub.awk:
	New file.

2020-07-20  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR42399

	* Makefile.am (TESTSUITE_FILES): Update.

	* lib/dejagnu.exp (host_execute): Allow the executable to be
	specified with an absolute file name.
	(host_execute): Fix argument handling to allow passing more than
	one argument to the executable.  Return early if given no
	arguments at all instead of trying to execute "./".

	* testsuite/runtest.main/pr42399.exp: New file.
	* testsuite/runtest.main/nested/testsuite/bug.test/pr42399.awk:
	New file.
	* testsuite/runtest.main/nested/testsuite/bug.test/pr42399-sub.exp:
	New file.

2020-07-20  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	* Makefile.am (CLEANFILES): Update.
	(TESTSUITE_FILES): Update to reflect testsuite reorganization.

	* testsuite/lib/runtest.exp (runtest_setup_nested_testsuite): New
	procedure.
	(runtest_cleanup_nested_testsuite): New procedure.

	* testsuite/runtest.main/error.exp: Use the tool name "error" to
	select the proper subset of the nested testsuite.  Use new
	procedures for handling nested testsuite.  Use common
	nested-init.exp local init file for nested testsuite.  Let local
	init file nested-init.exp handle setting "outdir" variable.
	* testsuite/runtest.main/options.exp: Likewise; "null" tool.
	* testsuite/runtest.main/stats.exp: Likewise; "stat" tool.

	* testsuite/runtest.main/nested/: Combine nested testsuites.
	* testsuite/runtest.main/error/testsuite/error.test/error-al-dbz.exp:
	Move from here...
	* testsuite/runtest.main/nested/testsuite/error.test/error-al-dbz.exp:
	...to here.
	* testsuite/runtest.main/error/testsuite/error.test/error-dbz.exp:
	Move from here...
	* testsuite/runtest.main/nested/testsuite/error.test/error-dbz.exp:
	...to here.
	* testsuite/runtest.main/error/testsuite/error.test/error-undef.exp:
	Move from here...
	* testsuite/runtest.main/nested/testsuite/error.test/error-undef.exp:
	...to here.
	* testsuite/runtest.main/error/testsuite/error.test/simple.exp:
	Move from here...
	* testsuite/runtest.main/nested/testsuite/error.test/simple.exp:
	...to here.
	* testsuite/runtest.main/options/testsuite/null.test/null.exp:
	Move from here...
	* testsuite/runtest.main/nested/testsuite/null.test/null.exp:
	...to here.
	* testsuite/runtest.main/stats/testsuite/stat.test/stats-sub.exp:
	Move from here...
	* testsuite/runtest.main/nested/testsuite/stat.test/stats-sub.exp:
	...to here.

2020-07-16  Rob Savoye  <rob@senecass.com>

	* baseboards/qemu.exp: Works now with qemu instead of sim.

2020-07-06  Rob Savoye  <rob@senecass.com>

	* baseboards/qemu.exp: Initial working support to use qemu for
	bare metal testing.
	* Makefile.am: Install qemu.exp.
	* autogen.sh: Add script borrowed from my Gnash project to
	regenerate configure/build files.
	* aclocal.m4, configure.ac, Makefile.am: regenerated GDB too.
	* doc/dejagnu.texi: Update copyright date.

2020-06-29  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR 41824 / PR 41918

	* NEWS: Add item for repeated error messages.

	* lib/framework.exp (log_and_exit): Add separator lines around the
	error dumps repeated at the end of a run.

2020-06-26  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR 41824 / PR 41918

	* NEWS: Remove items for --keep_going / --no_keep_going options.

	* Makefile.am (CLEANFILES): Adjust for renames.
	(TESTSUITE_FILES): Likewise.

	* doc/dejagnu.texi (Invoking runtest): Remove --keep_going and
	--no_keep_going options.
	(A POSIX Conforming Test Framework): Document that Tcl errors in
	test scripts produce UNRESOLVED results as placeholders.

	* doc/runtest.1: Likewise.

	* lib/framework.exp (log_and_exit): Print collected Tcl errors.

	* runtest.exp (dejagnu::error): New internal namespace.
	(runtest): Collect Tcl errors caught while executing test scripts.
	(dejagnu::opt): Remove internal namespace.
	Remove --keep_going / --no_keep_going options.  No longer abort on
	any Tcl errors; instead store them and repeat the messages at the
	end of the run.

	* testsuite/runtest.main/abort.exp: Rename from this ...
	* testsuite/runtest.main/error.exp: ... to this and revise tests.

	* testsuite/runtest.main/abort/testsuite/abort.test/abort-al-dbz.exp:
	Rename from this...
	* testsuite/runtest.main/error/testsuite/error.test/error-al-dbz.exp:
	... to this.
	* testsuite/runtest.main/abort/testsuite/abort.test/abort-dbz.exp:
	Rename from this...
	* testsuite/runtest.main/error/testsuite/error.test/error-dbz.exp:
	... to this.
	* testsuite/runtest.main/abort/testsuite/abort.test/abort-undef.exp:
	Rename from this...
	* testsuite/runtest.main/error/testsuite/error.test/error-undef.exp:
	... to this.

2020-06-24  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR 41824 / PR 41918

	* NEWS: Revise relevant items.

	* doc/dejagnu.texi (Invoking runtest): Add --no_keep_going option.
	* doc/runtest.1: Document --no_keep_going option.  Remove
	long-obsolete --name option.  The --name option had been removed
	from runtest before the code was imported into what became the
	current repository.

	* runtest.exp: Add option --no_keep_going to stop immediately if a
	test script aborts due to a Tcl error.  Remove vestiges of
	long-obsolete --name option.  Make --keep_going option default.

	* testsuite/runtest.main/abort.exp: Adjust tests to use
	--no_keep_going and --keep_going instead of assuming a default.

2020-06-22  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	Merge patches from Maciej W. Rozycki to fix timeout handling.

	* lib/remote.exp (close_wait_program): Use `catch' in killing
	pending force-kills.

	* lib/remote.exp (close_wait_program): Only kill the pending
	force-kills if the PID list has a single entry.
	(local_exec): Set the channel about to be closed to the
	nonblocking mode if we didn't see an EOF.
	(standard_close): Likewise, unconditionally.

2020-06-22  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	* NEWS: Mention "linker=" option and added language support.

	* doc/dejagnu.texi (target_compile procedure): Document new
	"linker=" option to target_compile.

	* lib/target.exp (default_target_compile): Actually use internal
	option for separate linker provided for Go language support.  This
	seems to have been accidentally omitted from Tom Tromey's patches.
	(default_target_compile): Add "linker=" option, similar to
	"compiler=" option, but the former overrides the latter when
	building an executable.
	(default_target_compile): Ensure that "--emit obj" is spaced from
	previous item when used to compile Rust.  Use "--emit asm" instead
	of "-S" when generating assembly from Rust sources.

	* testsuite/runtest.libs/target.test: Add tests for Go and Rust.
	Also add tests for the new "early_flags=" and "linker=" options.

2020-06-20  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	* doc/dejagnu.texi (Libgloss): Update menu.
	(find_go procedure, find_go_linker procedure): New nodes.
	(find_rustc procedure): New node.

2020-06-19  Tom Tromey  <tromey@adacore.com>

	* doc/dejagnu.texi (target_compile procedure): Document Go
	additions.
	* lib/target.exp (default_target_compile): Handle Go.
	* lib/libgloss.exp (find_go, find_go_linker): New procs.

2020-06-19  Tom Tromey  <tromey@adacore.com>

	* doc/dejagnu.texi (target_compile procedure): Document rust
	additions.
	* lib/target.exp (default_target_compile): Handle rust.
	* lib/libgloss.exp (find_rustc): New proc.

2020-06-19  Tom Tromey  <tromey@adacore.com>

	* lib/target.exp (default_target_compile): Add early_flags.
	* doc/dejagnu.texi (target_compile procedure): Document
	early_flags.

2020-06-19  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	Merge patches from Tom de Vries <tdevries <at> suse.de> and write
	ChangeLog entries.

	* testsuite/runtest.main/abort.exp: Add tests that verify handling
	of arithmetic errors (divide-by-zero) in a procedure called within
	a test script.

	* testsuite/runtest.main/abort/testsuite/abort.test/abort-dbz.exp: New file.

2020-06-18  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR 41824 / PR 41918

	Thanks to Tom de Vries for raising these concerns and offering the
	initial testsuite patch that led to these changes.

	* NEWS: Add item for consistent abort-on-error handling.

	* lib/framework.exp (unknown): Always link global variables.  Tidy.
	Silently propagate errors raised in autoloaded procedures and move
	the UNRESOLVED result and aborting the test run to...
	* runtest.exp (runtest): Report an UNRESOLVED result if a test
	script aborts due to a Tcl error.  Link global errorCode and
	report its value if an error occurs.  For consistency, abort the
	test run on any Tcl error in a test script instead of only when
	calling an undefined procedure.

	* testsuite/runtest.main/abort.exp: Add tests to verify handling
	of arithmetic errors (divide-by-zero) in an auto-loaded procedure
	called from a test script.  Adjust other patterns.

	* testsuite/runtest.main/abort/testsuite/abort.test/abort-al-dbz.exp:
	New file.

2020-06-17  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR 41824

	* NEWS: Add item for --keep_going option.

	* Makefile.am (CLEANFILES): Add abort-init.exp to list.
	(TESTSUITE_FILES): Add new testsuite files to list.

	* doc/dejagnu.texi (Invoking runtest): Document new --keep_going
	command line option.
	* doc/runtest.1: Likewise.

	* lib/framework.exp (unknown): Report an UNRESOLVED result if an
	unknown command is invoked.  Avoid exiting and propagate the error
	from Tcl's "unknown" procedure if --keep_going was
	specified. Brace procedure argument list.
	* runtest.exp (dejagnu::opt): New namespace.
	Add option --keep_going to continue running tests after a test
	script aborts due to calling an undefined command.

	* testsuite/runtest.main/abort.exp: New file.
	* testsuite/runtest.main/abort/testsuite/abort.test/abort-undef.exp:
	New file.
	* testsuite/runtest.main/abort/testsuite/abort.test/simple.exp:
	New file.

2020-06-17  Tom de Vries  <tdevries <at> suse.de>

	* lib/framework.exp (unknown): Propagate return value of auto-loaded
	command.

2020-06-15  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	Merge patches from Linaro:

	2018-09-28  Christophe Lyon <christophe.lyon@linaro.org>
	* lib/ssh.exp (ssh_exec): Redirect stderr to stdout on the remote
	machine, to avoid race conditions.

	2016-04-25  Yvan Roux <yvan.roux@linaro.org>
	* lib/rsh.exp (rsh_exec): Don't remove trailing newline.
	* lib/ssh.exp (ssh_exec): Likewise.

	2016-06-28  Maxim Kuvyrkov <maxim.kuvyrkov@linaro.org>
	* config/unix.exp (unix_load): Prepend the value of an
	"exec_shell" board_info key to the command if it is defined.

2020-06-06  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	* NEWS: Document "testcase" command.

	* doc/dejagnu.texi (testcase procedure): Document multiplex entry
	point and "testcase group" command.

	* lib/framework.exp: Add internal namespace ::dejagnu::group.
	(::dejagnu::group::check_name): New procedure.
	(::dejagnu::group::current): New procedure.
	(::dejagnu::group::push): New procedure.
	(::dejagnu::group::pop): New procedure.
	(::dejagnu::group::pop_to_file): New procedure.
	(testcase): New procedure for multiplex commands.
	(testcase_group): New procedure implementing "testcase group".

	* testsuite/runtest.libs/testcase_group.test: New file.

2020-06-05  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	* NEWS: Document new "testsuite can call api" command.

	* doc/dejagnu.texi (testsuite procedure): Document new subcommand
	"testsuite can call api".

	* lib/framework.exp (testsuite): Add branch for "testsuite can".
	(testsuite_can): New procedure implementing "testsuite can".

	Add internal array ::dejagnu::apilist to store information for
	"testsuite can call api" for querying the availability of an API
	call.  This will allow test scripts to adapt and use new features
	while still being able to run under older versions of DejaGnu.

	* testsuite/runtest.libs/testsuite_can.test: New file.

2020-06-02  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR 41647
	* NEWS: Fix typo.  Fix Emacs mode tag.
	Document use of Tcl namespace ::dejagnu for internals.
	* runtest.exp (dejagnu::command_line): New namespace.
	(dejagnu::command_line::save_cmd_var): New procedure.
	(dejagnu::command_line::restore_cmd_vars): New procedure.
	(dejagnu::command_line::dump_cmd_vars): New procedure.
	* runtest.exp: Save internal variables set by command line
	arguments during the first pass and restore their values after
	loading testsuite init files.

2020-06-01  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR 41647
	* runtest.exp: Describe search for testsuite at verbose level 3.
	Print initial working directory at verbose level 1.

2020-05-28  Jacob Bachmeyer  <jcb62281+dev@gmail.com>

	PR 41587
	* testsuite/lib/launcher.exp: Adjust LAUNCHER variable default
	value to use an absolute file name.
	* testsuite/lib/report-card.exp: Likewise.
	* testsuite/runtest.main/options.exp: Set outdir in options-init
	instead of changing working directory in child runtest.

	* runtest.exp (logname): Move verbose display of logname to
	immediately after finding the user's login name.

	PR 41585
	* runtest.exp (libdir): Fix default value of global variable.

	* ChangeLog: Tidy irregular indentation.

2020-05-26 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* doc/dejagnu.texi (target_compile procedure): Add documentation.

2020-05-26 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* doc/dejagnu.texi (target_link procedure): New stub node.
	(default_link procedure): Document internal procedure.
	(default_target_assemble procedure): Likewise.
	(default_target_compile procedure): Likewise.

2020-05-20 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* baseboards/{aarch64-sim, arm-ice, arm-sim, basic-sid, iq2000-sim,
	mn10300-sim, moxie-sim}.exp: Cleanup up whitespace.

2020-05-20 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* lib/target.exp (default_target_compile): Use "host_info"
	procedure to probe for a host configuration, instead of checking a
	local empty target_info array due to lacking "global target_info".

2020-05-20 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* doc/dejagnu.texi (Adding a new board): Document that the
	"compiler" board_info field is optional and defaults to [find_gcc]
	if not given.
	(Board configuration file): Likewise.

	* lib/target.exp (default_target_compile): Establish a default C
	compiler by evaluating [find_gcc] if no other compiler is given.

	* baseboards/aarch64-sim.exp: Remove no-longer-needed
	"set_board_info compiler [find_gcc]" from this file.
	* baseboards/am33_2.0-libremote.exp: Likewise.
	* baseboards/androideabi.exp: Likewise.
	* baseboards/arm-ice.exp: Likewise.
	* baseboards/arm-sim.exp: Likewise.
	* baseboards/cris-sim.exp: Likewise.
	* baseboards/d30v-sim.exp: Likewise.
	* baseboards/fr30-sim.exp: Likewise.
	* baseboards/frv-sim.exp: Likewise.
	* baseboards/gdbserver-sample.exp: Likewise.
	* baseboards/iq2000-sim.exp: Likewise.
	* baseboards/linux-gdbserver.exp: Likewise.
	* baseboards/linux-libremote.exp: Likewise.
	* baseboards/mcore-moto-sim.exp: Likewise.
	* baseboards/mcore-sim.exp: Likewise.
	* baseboards/mips-sim-idt32.exp: Likewise.
	* baseboards/mips-sim-idt64.exp: Likewise.
	* baseboards/mips-sim-mti32.exp: Likewise.
	* baseboards/mips-sim-mti64.exp: Likewise.
	* baseboards/mips-sim-mti64_64.exp: Likewise.
	* baseboards/mips-sim-mti64_n32.exp: Likewise.
	* baseboards/mips-sim-sde32.exp: Likewise.
	* baseboards/mips-sim-sde64.exp: Likewise.
	* baseboards/mips-sim.exp: Likewise.
	* baseboards/mmixware-sim.exp: Likewise.
	* baseboards/mn10200-sim.exp: Likewise.
	* baseboards/mn10300-sim.exp: Likewise.
	* baseboards/moxie-sim.exp: Likewise.
	* baseboards/msp430-sim.exp: Likewise.
	* baseboards/powerpc-sim.exp: Likewise.
	* baseboards/powerpcle-sim.exp: Likewise.
	* baseboards/rx-sim.exp: Likewise.
	* baseboards/sh-sim.exp: Likewise.
	* baseboards/sparc-sim.exp: Likewise.
	* baseboards/sparc64-sim.exp: Likewise.
	* baseboards/sparclite-sim-le.exp: Likewise.
	* baseboards/sparclite-sim.exp: Likewise.
	* baseboards/unix.exp: Likewise.
	* baseboards/v850-sim.exp: Likewise.
	* baseboards/visium-sim.exp: Likewise.
	* baseboards/xtensa-sim.exp: Likewise.

2020-05-24  Rob Savoye  <rob@senecass.com>

	* baseboards/pi.exp: New config file for cross testing to a
	Raspberry PI.

2020-05-24  Tom Tromey  <tom@tromey.com>

	* .gitignore: Add files.

2020-05-20 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* testsuite/runtest.libs/target.test: Use mockutil.tcl.
	Collect loading DejaGnu libraries into a single loop.
	Revise the mock board_info array.
	Add section headings for different test groups in this file.
	Add tests for default_target_compile in lib/target.exp.
	* testsuite/runtest.libs/mockutil.tcl: New file.

2020-05-20 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* doc/dejagnu.texi (remote_exec procedure): Explicitly list
	optional arguments instead of simply copying the Tcl argument list
	or the remote_exec procedure.

2020-05-20 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* testsuite/runtest.libs/default_procs.tcl: Set sum_file to empty
	string instead of opening a temporary file named .tmp.
	* testsuite/runtest.libs/libs.exp: No longer need to remove .tmp.

2020-05-20 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* testsuite/runtest.libs/target.test: Rename fake "target_info"
	array to a fake "board_info" array, to align with changes made to
	the DejaGnu core on 29 January 1997 that moved the target
	configuration data into the global board_info array.

	* testsuite/runtest.libs/remote.test: Likewise.

2020-05-20 Jacob Bachmeyer <jcb62281+dev@gmail.com>

	* testsuite/runtest.libs/libs.exp: Use runtest_file_p to honor
	requests to run only some library tests.

2020-05-18  Rob Savoye  <rob@senecass.com>

	* configure.ac: Extract the current branch.
	* Makefile.am: Change the frame_version in runtest.exp post
	install to add the branch and git revision to make it easier to
	support multiple versions during development.

2020-05-15  Rob Savoye  <rob@senecass.com>

	* All files: Minor change, update copyright dates.

2019-03-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* runtest.exp (search_and_load_file): Join the directory and
	filename once using 'file join'.

2019-01-24  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi: Refill paragraphs and normalize inter-sentence
	spacing so the Emacs move-by-sentence commands work correctly.

2019-01-23  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Replace "config file" with "configuration
	file" throughout.

2019-01-23  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi (Command line option variables): Improve table
	formatting to fix overlapping columns and revise text slightly.

2019-01-23  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi (Global config file): Change example to use the
	Tcl "switch" command instead of the deprecated "case" command.

2019-01-12  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi (runtest_file_p procedure): Fix description of
	the structure of the "runtests" argument.

2019-01-12  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Various documentation fixes.

2019-01-10  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/runtest.libs/clone_output.test: Use new test harness
	for verifying output of clone_output.

	* testsuite/runtest.libs/default_procs.tcl (send_error): Roll into
	template using store_test_output.
	(send_log): Likewise.
	(send_user): Likewise.
	(clear_test_output): New proc.
	(store_test_output): New proc.

	* lib/framework.exp (clone_output): Actually send errors to the
	error stream; bug found while improving testsuite.

2019-01-10  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/runtest.libs/libs.exp (process_test): Handle blank
	lines from child process correctly.

2019-01-02  Jacob Bachmeyer  <jcb62281@gmail.com>

	* NEWS: Document report card.

	* Makefile.am (clean-local): Add target.
	(clean-local-check): Add target; mark as PHONY.
	(commands_DATA): Add "report-card" scripts.
	(dist_man_MANS): Add dejagnu-report-card.1 and split.
	(DEJATOOL): Add "report-card" tool.
	(TESTSUITE_FILES): Add testsuite for "report-card" tool.

	* commands/report-card.awk: New command script.

	* doc/dejagnu.texi (Invoking dejagnu report card): New node.
	* doc/dejagnu-report-card.1: New man page.

	* testsuite/lib/bohman_ssd.exp: New file.
	* testsuite/lib/report-card.exp: New file.
	* testsuite/report-card.all/onetest.exp: New file.
	* testsuite/report-card.all/passes.exp: New file.

2019-01-02  Ben Elliston  <bje@gnu.org>

	* Makefile.am (DISTCLEANFILES): Don't use this.
	(CLEANFILES): Use this instead.
	* Makefile.in: Regenerate.

2019-01-01  Ben Elliston  <bje@gnu.org>

	* configure.ac: Abort if AWK is not installed.
	* configure: Regenerate.

2019-01-01  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to latest version.
	* config.sub: Likewise.

2019-01-01  Ben Elliston  <bje@gnu.org>

	* configure.ac: Add AC_PROG_AWK check.
	* configure: Regenerate.

2018-12-29  Jacob Bachmeyer  <jcb62281@gmail.com>

	* dejagnu: Avoid use of semicolon as sed(1) command separator.
	POSIX does not clearly require sed(1) to support that feature.

2018-12-28  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/lib/util-defs.exp: Whitespace clean up.

2018-12-21  Jacob Bachmeyer  <jcb62281@gmail.com>

	PR 33817
	* dejagnu: Improve command parsing to fix bug. Previously, the
	documented equivalence between "multi word command" and
	"multi-word-command" did not hold if no arguments were given.
	* testsuite/launcher.all/command.exp: Add tests.

2018-12-20  Ben Elliston  <bje@gnu.org>

	* NEWS: Add item for new dejagnu command.

	* Makefile.am (EXTRA_DIST): Remove $(XML).
	* Makefile.in: Regenerate.

2018-12-20  Jacob Bachmeyer  <jcb62281@gmail.com>

	* Makefile.am (EXTRA_DIST): Add "dejagnu" launcher script and
	contents of $(commands_DATA).
	(bin_SCRIPTS): Add "dejagnu" launcher script.
	(commandsdir): Installation directory for "dejagnu" subcommands is
	$(pkgdatadir)/commands.
	(commands_DATA): New, contains "commands/help.sh" as initial item.
	(TESTSUITE_FILES): Add testsuite for same.
	(DEJATOOL): Add "launcher" to list of tools to test.
	(dist_man_MANS): Add man pages for "dejagnu" and "dejagnu help".

	* doc/dejagnu.texi (Running other DejaGnu commands): New chapter.
	(Invoking dejagnu): New node for dejagnu(1) launcher script.
	(Invoking dejagnu help): New node.

	* doc/dejagnu.1: New man page.
	* doc/dejagnu-help.1: New man page.

	* dejagnu: New script.

	* commands/help.sh: New dejagnu subcommand for reading manpages.

	* testsuite/launcher.all/command.exp: New file.
	* testsuite/launcher.all/command/commands/bar-baz.awk: New file.
	* testsuite/launcher.all/command/commands/bar.awk: New file.
	* testsuite/launcher.all/command/commands/bar.sh: New file.
	* testsuite/launcher.all/command/commands/baz-quux.gawk: New file.
	* testsuite/launcher.all/command/commands/foo.sh: New file.
	* testsuite/launcher.all/command/commands/foo.tcl: New file.
	* testsuite/launcher.all/help.exp: New file.
	* testsuite/launcher.all/interp.exp: New file.
	* testsuite/launcher.all/verbose.exp: New file.
	* testsuite/lib/launcher.exp: New file.

2018-12-20  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi (bt procedure): Fix Info links.

2018-12-17  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (Board config file): Fix up @ref.
	(Command line option variables): Likewise.
	(Debugging Procedures): Add an entry for 'bt' command.

2018-12-16  Jacob Bachmeyer  <jcb62281@gmail.com>

	* runtest.exp: Move processing of -V|--version option to first
	pass through command line arguments instead of delaying it.

2018-12-16  Jacob Bachmeyer  <jcb62281@gmail.com>

	* Makefile.am (RUNTESTDEFAULTFLAGS): Remove; no longer needed.
	* Makefile.in: Regenerate.

2018-12-15  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (telnet Procedure): Remove old node.
	(rlogin Procedure): Likewise.
	(rsh Procedure): Likewise.
	(tip Procedure): Likewise.
	(kermit Procedure): Likewise.
	(list_targets Procedure): Likewise.
	(prune_system_crud): Likewise.

2018-12-15  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/runtest.libs/default_procs.tcl (send_error): New stub.
	(send_user): Likewise.
	* testsuite/runtest.libs/clone_output.test: Remove unneeded global
	variable link at top-level.
	* testsuite/runtest.libs/utils.test: Adjust absolute path to
	config.status.
	* testsuite/runtest.libs/clone_output.test: Use preset srcdir,
	subdir, and objdir variables instead of extracting them from argv.
	Remove setval.tmp, which is now obsolete.
	* testsuite/runtest.libs/config.test: Likewise.
	* testsuite/runtest.libs/remote.test: Likewise.
	* testsuite/runtest.libs/target.test: Likewise.
	* testsuite/runtest.libs/testsuite_file.test: Likewise.
	* testsuite/runtest.libs/utils.test: Likewise.

	* testsuite/lib/libsup.exp (make_defaults_file): Replace this ..
	(send_defaults): .. with this.
	(start_expect): Remove redundant code.

	* testsuite/runtest.libs/libs.exp: Eliminate setval.tmp file.
	Remove unneeded test for EXPECT global variable.
	Use one Expect subprocess to run all test cases.
	(process_test): Redesign to use Expect subprocess and to use
	throwaway slave interpreters for running test cases.

2018-12-15  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/lib/runtest.exp (runtest_start): Remove.
	Move the sanity check in runtest_start to top-level and similarly
	check to ensure that $EXPECT can be found.  Make failure of either
	sanity check an immediate fatal error.
	Improve error messages for sanity checks to indicate which
	critical tool was not found.  Remove useless 'global RUNTEST'
	command at top-level.
	(runtest_version): Brace 'if' expression.

2018-12-15  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/lib/runtest.exp: Use 'testsuite file' to locate the
	default runtest executable instead of implicitly searching PATH.
	Remove unused RUNTESTFLAGS Tcl variable.

2018-12-15  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/lib/runtest.exp (runtest_start): Remove unused global
	variable links.

2018-12-14  Jacob Bachmeyer  <jcb62281@gmail.com>

	* lib/framework.exp (log_summary): Remove "testcnt" mechanism.
	* testsuite/lib/libsup.exp: Remove obsolete "testcnt" variable.

2018-12-12  Ben Elliston  <bje@gnu.org>

	* config/gdb-comm.exp, config/gdb_stub.exp, config/vxworks.exp,
	lib/dg.exp, lib/ftp.exp, lib/kermit.exp, lib/rlogin.exp,
	lib/telnet.exp, runtest.exp, testsuite/lib/libsup.exp: Simplify
	some regular expressions in constant strings by placing them
	inside braces instead of quotes. This allows one level of
	backslash quoting to be removed.

2018-12-12  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Acknowledge contributions to the manual from
	others.

2018-12-11  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/runtest.all/libs.exp: Use "testsuite file" command.
	* testsuite/runtest.all/load_lib.exp: Likewise.
	* testsuite/runtest.all/stats.exp: Likewise.

	* testsuite/runtest.all/stats.exp: Write local init file as
	"stats-init.exp" for status summary tests.  Use --local_init
	option to runtest to load that file instead of site.exp and move
	the inner test module to a nested testsuite.
	* testsuite/runtest.all/stats-sub.exp: Move file from here ..
	* testsuite/runtest.all/stats/testsuite/stat.test/stats-sub.exp:
	.. to here.

	* testsuite/runtest.all/options.exp: Clean up whitespace in file.
	Wrap lines in test list and move short items to beginning of list.
	Write local init file as "options-init.exp" for options tests.
	Use --local_init option with nested runtest to load that file
	instead of site.exp; also create an empty nested testsuite.  Local
	init file arranges for inner runtest processes to run in a
	subdirectory in the object tree to eliminate filename clashes.
	Set tmpdir if not already set and remove entire temporary
	directory after running options tests.
	* testsuite/runtest.all/options/testsuite/null.test/null.exp: New.

	* testsuite/runtest.all/clone_output.test: Move from here ..
	* testsuite/runtest.libs/clone_output.test: .. to here.
	* testsuite/runtest.all/config.test: Move from here ..
	* testsuite/runtest.libs/config.test: .. to here.
	* testsuite/runtest.all/default_procs.tcl: Move from here ..
	* testsuite/runtest.libs/default_procs.tcl: .. to here.
	* testsuite/runtest.all/libs.exp: Move from here ..
	* testsuite/runtest.libs/libs.exp: .. to here.
	* testsuite/runtest.all/load_lib.exp: Move from here ..
	* testsuite/runtest.libs/load_lib.exp: .. to here.
	* testsuite/runtest.all/remote.test: Move from here ..
	* testsuite/runtest.libs/remote.test: .. to here.
	* testsuite/runtest.all/target.test: Move from here ..
	* testsuite/runtest.libs/target.test: .. to here.
	* testsuite/runtest.all/testsuite_file.test: Move from here ..
	* testsuite/runtest.libs/testsuite_file.test: .. to here.
	* testsuite/runtest.all/topdir/subdir1/subfile1: Move from here ..
	* testsuite/runtest.libs/topdir/subdir1/subfile1: .. to here.
	* testsuite/runtest.all/topdir/subdir1/subfile2: Move from here ..
	* testsuite/runtest.libs/topdir/subdir1/subfile2: .. to here.
	* testsuite/runtest.all/topdir/subdir1/subsubdir1/subsubfile1:
	Move from here ..
	* testsuite/runtest.libs/topdir/subdir1/subsubdir1/subsubfile1:
	.. to here.
	* testsuite/runtest.all/topdir/subdir2/subfile2: Move from here ..
	* testsuite/runtest.libs/topdir/subdir2/subfile2: .. to here.
	* testsuite/runtest.all/utils.test: Move from here ..
	* testsuite/runtest.libs/utils.test: .. to here.
	* testsuite/runtest.libs/utils.test: Update references to
	"runtest.all".

	* testsuite/runtest.all/options.exp: Move from here ..
	* testsuite/runtest.main/options.exp: .. to here.
	* testsuite/runtest.all/options/testsuite/null.test/null.exp: Move
	from here ..
	* testsuite/runtest.main/options/testsuite/null.test/null.exp:
	.. to here.
	* testsuite/runtest.all/stats.exp: Move from here ..
	* testsuite/runtest.main/stats.exp: .. to here.
	* testsuite/runtest.all/stats/testsuite/stat.test/stats-sub.exp:
	Move from here ..
	* testsuite/runtest.main/stats/testsuite/stat.test/stats-sub.exp:
	.. to here.

	* Makefile.am (DISTCLEANFILES): Update for testsuite improvements.
	(TESTSUITE_FILES): Update to reflect testsuite reorganization.
	* Makefile.in: Regenerate.

2018-12-11  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi: Clean up whitespace.  Some indented examples
	were changed to use the Texinfo '@ ' command (yes, a space
	character) to preserve correct indentation.  The '@ ' command is
	treated as a single space by Tex and makeinfo, but prevents Emacs
	from complaining about indentation using spaces instead of tabs.

2018-12-11  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi (getdirs procedure): Document hard-coded
	directory exclusions by name in this procedure.

2018-12-10  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (getdirs procedure): This procedure accepts Tcl
	glob patterns, not "shell wildcard characters" per se.

	* doc/dejagnu.texi (istarget procedure): Remove stray @{.

2018-12-10  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi (Writing a test case): Add warning about
	priority of Expect patterns, complete with example.
	* testsuite/runtest.all/libs.exp (process_test): Fix bug that
	caused test results other than "PASS" to be skipped if a "PASS" is
	further along in the input buffer.  Describe problem in manual.
	(process_test): Ensure that the log file shows each test case run.
	(process_test): Directly run the test cases instead of using
	temporary files and "cat".  All output is always available in the
	log file, which is no longer overwritten by other tests.
	(process_test): Expect END markers from test case scripts.
	* testsuite/runtest.all/clone_output.test: Emit END markers.
	* testsuite/runtest.all/config.test: Likewise.
	* testsuite/runtest.all/remote.test: Likewise.
	* testsuite/runtest.all/target.test: Likewise.
	* testsuite/runtest.all/testsuite_file.test: Likewise.
	* testsuite/runtest.all/utils.test: Likewise.

2018-12-10  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (grep): Use a proper Tcl list for options.

2018-12-10  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test: ${srcdir} -> $srcdir.

	* lib/utils.exp (getdirs): Use glob -nocomplain rather than glob
	and catching the "no files matched glob pattern" error
	message. Catching the error message was the wrong thing to do
	because the foreach loop then iterates over each word in the error
	message as if they were matches.

2018-12-10  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test (getdirs): Add a test for the
	non-existent directory case.

2018-12-10  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Remove unnecessary quotes and braces around
	variable expansions.

	* lib/debugger.exp (dumpvars): Remove unnecessary braces.

2018-12-09  Ben Elliston  <bje@gnu.org>

	* runtest.exp (setup_target_hook): Use 'ne' and not '!='.
	(iterate_target_variants_two): Likewise.
	* lib/remote.exp (standard_download): Use 'eq' not '=='.
	(remote_upload): Likewise.
	* lib/framework.exp (open_logs): Likewise.
	(is_remote): Likewise.

2018-12-09  Ben Elliston  <bje@gnu.org>

	* baseboards/basic-sid.exp, baseboards/basic-sim.exp,
	baseboards/i386-sid.exp, baseboards/mt-sid.exp,
	baseboards/sh-sid.exp, config/adb.exp, config/gdb-comm.exp,
	config/gdb_stub.exp, config/sim.exp, config/unix.exp,
	config/vxworks.exp, lib/dejagnu.exp, lib/dg.exp,
	lib/framework.exp, lib/kermit.exp, lib/libgloss.exp,
	lib/remote.exp, lib/rsh.exp, lib/target.exp, lib/tip.exp,
	lib/utils.exp, testsuite/lib/libsup.exp,
	testsuite/runtest.all/options.exp,: Remove unnecessary braces
	around variable expansions.

2018-12-09  Ben Elliston  <bje@gnu.org>

	* lib/debugger.exp, lib/dg.exp, lib/framework.exp, lib/ftp.exp,
	lib/kermit.exp, lib/libgloss.exp, lib/remote.exp, lib/rlogin.exp,
	lib/target.exp, lib/tip.exp, lib/utils.exp, runtest.exp: Remove
	unnecessary quotes and braces around variable expansions.

2018-12-09  Ben Elliston  <bje@gnu.org>

	* config/gdb-comm.exp: Remove unnecessary quotes.
	* config/gdb_stub.exp: Likewise.
	* config/vxworks.exp: Likewise.
	* config/unix.exp: Likewise.
	* config/sim.exp: Likewise.

2018-12-09  Ben Elliston  <bje@gnu.org>

	* testsuite/lib/libsup.exp: Remove unnecessary quotes around
	variable expansions.
	* testsuite/lib/util-defs.exp: Likewise.

2018-12-09  Ben Elliston  <bje@gnu.org>

	* baseboards/androideabi.exp: Remove unnecessary quotes and braces
	around variable expansions.
	* baseboards/basic-sid.exp: Likewise.
	* baseboards/cris-sim.exp: Likewise.
	* baseboards/generic-sim.exp: Likewise.
	* baseboards/mcore-moto-sim.exp: Likewise.
	* baseboards/multi-sim.exp: Likewise.

2018-12-08  Ben Elliston  <bje@gnu.org>

	* NEWS: Tweak.

2018-12-08  Ben Elliston  <bje@gnu.org>

	* lib/dejagnu.exp (host_execute): Remove unnecessary quotes around
	variable expansions.
	* testsuite/runtest.all/clone_output.test: Likewise.
	* testsuite/runtest.all/target.test: Likewise.
	* testsuite/runtest.all/stats.exp: Likewise.
	* testsuite/runtest.all/remote.test: Likewise.
	* testsuite/runtest.all/config.test: Likewise.
	* testsuite/runtest.all/default_procs.tcl: Likewise.
	* testsuite/runtest.all/libs.exp: Likewise.
	* testsuite/runtest.all/options.exp: Likewise.

2018-12-08  Jacob Bachmeyer  <jcb62281@gmail.com>

	* NEWS: Document 'testsuite' command.
	* doc/dejagnu.texi (testsuite procedure): Document multiplex entry
	point and "testsuite file" command.
	* lib/framework.exp (testsuite): New proc for multiplex commands.
	(testsuite_file): New proc implementing "testsuite file".
	* testsuite/runtest.all/testsuite_file.test: New file.
	* runtest.exp: Expect to find testsuite in ${srcdir}/testsuite,
	but also search $srcdir itself.
	(load_lib): Add explicit search for testsuite-local libraries.
	(load_tool_init): Use $testsuitedir in search.
	(load_config): Use $testsuitedir instead of $srcdir.
	(load_tool_target_config): Likewise.

	Add variable "testsuitedir" for testsuite root directory.

	Add internal global variables "testbuilddir" and "testdir" for use
	by "testsuite file".

	Ensure that $testsuitedir, $testbuilddir, and $objdir also avoid
	duplicated path delimiters.

	Add warning if no tests are found and fallback method of searching
	$srcdir is used.

2018-12-08  Ben Elliston  <bje@gnu.org>

	* testsuite/lib/libsup.exp (start_expect): Brace commands in if
	expressions.
	* testsuite/lib/util-defs.exp (util_test): Likewise.
	* testsuite/runtest.all/stats.exp: Likewise.
	* testsuite/runtest.all/libs.exp: Likewise.

2018-12-08  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/runtest.all/default_procs.tcl:
	(lib_errpat_test, lib_errregexp_test, lib_err_test): New.
	(lib_regexp_test): Fix copy-paste-edit error.
	(lib_pat_test, lib_regexp_test, lib_ret_test, lib_bool_test):
	Fix handling of errors raised by tested procedure.  Also ensure
	proper quoting of argument lists passed to eval and simplify
	the logic for producing return values.

2018-12-08  Ben Elliston  <bje@gnu.org>

	* config/vxworks.exp (${board}_init): Use 'ne' instead of !=.

2018-12-08  Ben Elliston  <bje@gnu.org>

	* lib/tip.exp (tip_open): Put braces around if expression.

2018-12-08  Ben Elliston  <bje@gnu.org>

	* runtest.exp, lib/utils.exp, lib/targetdb.exp, lib/target.exp,
	lib/remote.exp, lib/framework.exp, lib/dg.exp, config/vxworks.exp,
	config/sim.exp, config/gdb_stub.exp, config/aarch64-fv8.exp,
	baseboards/vr4300-sim.exp, baseboards/vr4111-sim.exp,
	baseboards/vr4100-sim.exp, baseboards/sh-sid.exp,
	baseboards/mt-sid.exp, baseboards/mips-sim.exp,
	baseboards/mips-sim-idt64.exp, baseboards/mips-sim-idt32.exp,
	baseboards/i386-sid.exp, baseboards/arm-sim.exp,
	baseboards/arm-ice.exp, baseboards/androideabi.exp,
	testsuite/runtest.all/utils.test,
	testsuite/runtest.all/target.test: Replace string literal
	comparisons using == and != with 'eq' and 'ne'.

2018-12-08  Ben Elliston  <bje@gnu.org>

	* runtest.exp, lib/utils.exp, lib/target.exp, lib/ssh.exp,
	lib/rsh.exp, lib/rlogin.exp, lib/remote.exp, lib/libgloss.exp,
	lib/framework.exp, lib/dg.exp, lib/dejagnu.exp,
	config/vxworks.exp, config/unix.exp, config/sim.exp,
	config/gdb_stub.exp, config/gdb-comm.exp, config/adb.exp,
	baseboards/multi-sim.exp, baseboards/cris-sim.exp,
	baseboards/basic-sim.exp, baseboards/basic-sid.exp,
	baseboards/androideabi.exp, testsuite/runtest.all/load_lib.exp,
	testsuite/libdejagnu/tunit.exp: Replace empty string comparisons
	using == and != with 'eq' and 'ne'.

2018-12-07  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/runtest.all/default_procs.tcl (lib_bool_test): New.
	(lib_regexp_test): New.
	(lib_pat_test): Brace "if" conditions.
	(lib_pat_test): Remove spurious quotes in debugging output.
	(run_tests): Add support for comments in lists of procedure tests.

	* testsuite/runtest.all/config.test: Adjust to use run_tests
	procedure. Fixes issue cited in FIXME comment.

	* testsuite/runtest.all/utils.test (getdirs tests): Fix these.
	The old tests had the sense of the return value from lib_pat_test
	inverted and were failing but reported PASS.
	(find tests, relative_filename tests, runtest_file_p tests):
	Adjust to use run_tests procedure.

2018-12-07  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Add more missing material.

2018-12-07  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/runtest.all/default_procs.tcl (lib_ret_test): Tidy.
	(run_tests): Replace implicit "eval" with explicit "eval".  Tidy.
	(verbose): Remove unnecessary quotes.

2018-12-06  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Add more missing material.

2018-12-06  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/runtest.all/default_procs.tcl: Whitespace clean up.
	(lib_pat_test): Handle an argument list instead of only a single
	argument for the procedure under test.
	(lib_ret_test): Likewise.
	* testsuite/runtest.all/utils.test: Whitespace clean up.
	Adjust to pass argument lists for improved lib_pat_test.
	* testsuite/runtest.all/clone_output.test: Likewise.

2018-12-06  Jacob Bachmeyer  <jcb62281@gmail.com>

	* lib/remote.exp (standard_load): Fix typo on empty string.
	* runtest.exp: Adjust expression to follow GNU conventions.
	* lib/utils.exp (diff): Fix mistake in replacing [string compare]
	with "eq" instead of "ne".
	* testsuite/runtest.all/config.test: Likewise.

2018-12-06  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Replace [string match] commands involving literal
	strings and variables known to not be Tcl glob patterns with eq
	and ne.
	* config/unix.exp: Likewise.
	* lib/debugger.exp: Likewise.
	* lib/dg.exp: Likewise.
	* lib/framework.exp: Likewise.
	* lib/remote.exp: Likewise.
	* lib/utils.exp: Likewise.
	* baseboards/androideabi.exp: Likewise.
	* baseboards/multi-sim.exp: Likewise.
	* testsuite/lib/util-defs.exp: Likewise.
	* testsuite/runtest.all/config.test: Likewise.

2018-12-06  Jacob Bachmeyer  <jcb62281@gmail.com>

	* testsuite/runtest.all/utils.test: Add Tcl mode marker for Emacs.
	* testsuite/runtest.all/target.test: Likewise.
	* testsuite/runtest.all/remote.test: Likewise.
	* testsuite/runtest.all/config.test: Likewise.
	* testsuite/runtest.all/clone_output.test: Likewise.

2018-12-06  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Replace '==' with 'eq' for string compares.
	Likewise, replace '!=' with 'ne'. Replace a few instances of
	[string length $str] == 0 with $str eq "".
	* config/gdb-comm.exp: Likewise.
	* lib/dg.exp: Likewise.
	* lib/framework.exp: Likewise.
	* lib/libgloss.exp: Likewise.
	* lib/remote.exp: Likewise.
	* lib/target.exp: Likewise.
	* lib/utils.exp: Likewise.

2018-12-06  Jacob Bachmeyer  <jcb62281@gmail.com>

	* runtest.exp: Replace archaic use of [string match] with "eq".

2018-12-06  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (compile Procedure): Remove old node.
	(archive Procedure): Likewise.
	(ranlib Procedure): Likewise.

2018-12-06  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (rsh procedure): Fix node connectivity.

2018-12-06  Ben Elliston  <bje@gnu.org>

	* lib/telnet.exp (telnet_open): Remove connectmode global.
	* doc/dejagnu.texi (Procedures For Remote Communication): Remove
	mention of connectmode.

2018-12-05  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (execute_anywhere Procedure): Remove obsolete
	node.

2018-12-05  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Add more missing material.

2018-12-05  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test: Test runtest_file_p.

2018-12-05  Jacob Bachmeyer  <jcb62281@gmail.com>

	* runtest.exp (load_config): Remove unused globals.
	(load_generic_config): Likewise.
	(load_board_description): Likewise.
	(load_base_board_description): Likewise.

2018-12-05  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (grep): Handle -n.
	* doc/dejagnu.texi (grep procedure): Document it.
	* testsuite/runtest.all/utils.test: Add a test case.
	* NEWS: Add an item.

2018-12-05  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test: Test diff.

2018-12-04  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test: Test grep.

2018-12-04  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test (which): Fail on the else path,
	don't pass in either case.

2018-12-04  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (Libgloss): Improve documentation.
	(Debugging Procedures): Likewise.

2018-12-04  Ben Elliston  <bje@gnu.org>

	* lib/debugger.exp (dumprocs): Fix proc comment.

2018-12-04  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (Utility Procedures): Improve documentation for
	the procedures in this section.

2018-12-04  Jacob Bachmeyer  <jcb62281@gmail.com>

	* NEWS: Document new relative_filename procedure and --local_init/
	--global_init command line options.

2018-12-04  Jacob Bachmeyer  <jcb62281@gmail.com>

	* lib/utils.exp (relative_filename): New proc.
	* runtest.exp: Use it.
	* doc/dejagnu.texi (relative_filename procedure): Document it.
	* testsuite/runtest.all/utils.test: Add tests for relative_filename.

2018-12-03  Ben Elliston  <bje@gnu.org>

	* dejagnu.h (TestState): Remove const char * variants of pass(),
	xpass(), fail(), xfail(), untested(), unresolved() for C++. A
	const char * will be implicitly converted to std::string.

2018-12-03  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Move 'Built-in Procedures' node up a level,
	removing the 'Reference' node and chapter. Make all subsubsections
	in this chapter unnumbered subheadings.

2018-12-03  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi: Fix Info node links.  The arguments to @node
	are: here, next, previous, up; not here, previous, next, up.

2018-12-03  Ben Elliston  <bje@gnu.org>

	* Makefile.am (EXTRA_DIST): Use $(TEXINFO_TEX), not a hardcoded
	doc/texinfo.tex. With thanks to Jacob Bachmeyer.
	* Makefile.in: Regenerate.

2018-12-03  Ben Elliston  <bje@gnu.org>

	* Makefile.am (TEXINFO_TEX): Set to doc/texinfo.tex.
	(EXTRA_DIST): Add doc/texinfo.tex. Setting TEXINFO_TEX otherwise
	prevents the distribution of the overridden texinfo.tex.
	* Makefile.in: Regenerate.
	* texinfo.tex: Move from here ..
	* doc/texinfo.tex: .. to here.

2018-12-03  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (isremote): Add verbose message.

2018-12-02  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (isremote): Pass $board to is_remote.

2018-12-02  Ben Elliston  <bje@gnu.org>

	* doc/fdl.texi: New.
	* doc/dejagnu.texi (Variable Index): New.
	Add more concept index entries.
	(GNU Free Documentation License): New appendix.

2018-12-02  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (Procedure Index): New. Add Texinfo function
	index (@findex) entries for every built-in procedure.

2018-12-02  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Start an index.

2018-12-02  Ben Elliston  <bje@gnu.org>

	* doc/version.texi: New.

2018-12-02  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Add title page and frontmatter. Include
	version.texi.
	* Makefile.in: Regenerate.
	* mdate-sh: Installed by automake --add-missing.

2018-12-02  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (diff procedure): Tidy up this node.

2018-12-02  Jacob Bachmeyer  <jcb62281@gmail.com>

	* runtest.exp (hex): Remove useless test before setting.
	(decimal): Likewise.

2018-12-02  Jacob Bachmeyer  <jcb62281@gmail.com>

	* doc/dejagnu.texi (Invoking runtest): Document new --local_init
	and --global_init command line options.
	* doc/runtest.1: Likewise.

	* runtest.exp: Remove useless tests before setting default values
	for variables: all_flag, binpath, debug, options, outdir, reboot,
	tracelevel, verbose, log_dialog.  They are set before loading any
	files or parsing the command line.

	* runtest.exp: Add options --local_init and --global_init for
	selecting alternate testsuite configuration files.

	* runtest.exp: Split variable "configfile" into "local_init_file"
	and "global_init_file" in preparation for adding command-line
	options to specify these independently.

	* runtest.exp (load_generic_config): Remove configfile global.
	(load_board_description): Likewise.
	(load_base_board_description): Likewise.

2018-11-30  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (grep): Remove reference to "NULL" in comment.
	* testsuite/lib/util-defs.exp (util_start): Likewise.

2018-11-30  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: (verbose procedure): Improve documentation.
	(load_lib procedure): Likewise.

2018-11-30  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: More clean-ups of built-in proc documentation.

2018-11-30  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Use isremote.
	* lib/target.exp: Likewise.
	* lib/remote.exp: Likewise.
	* lib/libgloss.exp: Likewise.
	* config/unix.exp: Likewise.
	* config/sim.exp: Likewise.
	* config/gdb_stub.exp: Likewise.
	* config/gdb-comm.exp: Likewise.
	* baseboards/basic-sim.exp: Likewise.
	* baseboards/androideabi.exp: Likewise.

2018-11-30  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (isremote): New.
	* doc/dejagnu.texi (isremote procedure): Document it.
	* NEWS: Mention isremote.

2018-11-30  Ben Elliston  <bje@gnu.org>

	* texinfo.tex: Update to latest upstream version.
	* INSTALL: Likewise.

2018-11-29  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (istarget, ishost, istarget): Set the argument
	default value to the empty string.
	* doc/dejagnu.texi (find procedure): Remove reference to "NULL".
	(getenv procedure): Re-word this node.
	(isbuild procedure): Update.
	(ishost procedure): Likewise.
	(istarget procedure): Likewise.
	* testsuite/runtest.all/config.test: Add test cases.

2018-11-28  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to latest version.
	* config.sub: Likewise.

2018-11-28  Ben Elliston  <bje@gnu.org>

	* NEWS: Update.
	* configure.ac: Update version number.
	* configure: Regenerate.
	* doc/dejagnu.texi: Update version number.
	* runtest.exp: Update version number.

2018-11-28  Ben Elliston  <bje@gnu.org>

	* Makefile.am (TESTSUITE_FILES): Update filenames.
	* Makefile.in: Regenerate.

2018-11-28  Ben Elliston  <bje@gnu.org>

	* NEWS: Update.

	* doc/dejagnu.texi: Tidy up (fill) some paragraphs.

2018-11-25  Jacob Bachmeyer  <jcb62281@gmail.com>

	* lib/framework.exp: Clean up whitespace.

2018-11-25  Ben Elliston  <bje@gnu.org>

	* config/gdb-comm.exp: Clean up whitespace.
	* config/gdb_stub.exp: Likewise.
	* config/sid.exp: Likewise.
	* config/sim.exp: Likewise.
	* config/unix.exp: Likewise.

2018-11-23  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (getdirs procedure): Improve documentation
	including documenting the -all option.
	(find procedure): Fix a typo.
	* lib/utils.exp (getdirs): Improve comments.

2018-11-22  Jacob Bachmeyer  <jcb62281@gmail.com>

	* runtest.exp: Ensure that multipass pass variables are always
	restored.  Previously, they were only restored if the "Go digging
	for tests" branch was taken near the end of runtest.exp.

2018-11-22  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (Customizing DejaGnu): Document error handling
	of the $DEJAGNU environment variable (see change below).

2018-11-22  Jacob Bachmeyer  <jcb62281@gmail.com>

	* runtest.exp: Raise error if $DEJAGNU is defined but not found.

2018-11-15  Jacob Bachmeyer  <jcb62281@gmail.com>

	* runtest.exp (load_tool_init): Search for tool init file instead
	of assuming exactly one location.

2018-11-15  Ben Elliston  <bje@gnu.org>

	* runtest.exp (load_lib): Whitespace fix.

2018-11-11  Jacob Bachmeyer  <jcb62281@gmail.com>

	* lib/ssh.exp: Clean up whitespace.
	* lib/remote.exp: Clean up whitespace.
	(remote_expect): Change literal tab to "\t" in regexp.

2018-11-05  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to latest version.
	* config.sub: Likewise.

2018-11-02  Ben Elliston  <bje@gnu.org>

	* Makefile.in: Regenerate.

2018-10-31  Jacob Bachmeyer  <jcb62281@gmail.com>

	* Makefile.am (DEJATOOL): List tools in testsuite.
	(RUNTESTDEFAULTFLAGS): Adjust to support per-tool testing.
	* testsuite/config/default.exp: Rename from this ...
	* testsuite/lib/runtest.exp: ... to this.
	(runtest_exit): Remove spurious "close". This was causing per-tool
	testing to fail, since the testsuite for "runtest" never actually
	uses "spawn", so "close" ends up closing exp0, which is the
	terminal.  The ${tool}_exit proc is not called if the --tool
	option is not given, so this had no effect earlier.
	* testsuite/lib/libdejagnu.exp: New empty file.

2018-10-31  Jacob Bachmeyer  <jcb62281@gmail.com>

	* runtest.exp (load_tool_init): Add message indicating the
	expected location of the tool init file.

2018-10-31  Jacob Bachmeyer  <jcb62281@gmail.com>

	* contrib/sum2junit.sh (failures): Fix typo.

2018-10-31  Jacob Bachmeyer  <jcb62281@gmail.com>

	* configure.ac (DEJAGNU): Add comments.

2018-10-31  Jacob Bachmeyer  <jcb62281@gmail.com>

	* Makefile.am (DEJATOOL): List tools in testsuite.
	(RUNTESTDEFAULTFLAGS): Adjust to support per-tool testing.
	* testsuite/config/default.exp: Rename from this ...
	* testsuite/lib/runtest.exp: ... to this.
	(runtest_exit): Remove spurious "close".  This was causing
	per-tool testing to fail, since the testsuite for "runtest" never
	actually uses "spawn", so "close" ends up closing exp0, which is
	the terminal.  The ${tool}_exit proc is not called if the --tool
	option is not given, so this had no effect earlier.
	* testsuite/lib/libdejagnu.exp: New empty file.

2018-10-30  Ben Elliston  <bje@gnu.org>

	* Makefile.am (DISTCLEANFILES): Add testrun.xml.
	* Makefile.in: Regenerate with Automake 1.15.1.
	* aclocal.m4: Likewise.

2018-10-30  Ben Elliston  <bje@gnu.org>

	* configure.ac (AC_CONFIG_SUBDIRS): Remove.
	* configure: Regenerate.

2018-10-29  Ben Elliston  <bje@gnu.org>

	* README (Documentation): Update.

2018-10-28  Jacob Bachmeyer  <jcb62281@gmail.com>

	* lib/framework.exp (record_test): Really fix message formatting.

2018-10-29  Ben Elliston  <bje@gnu.org>

	Reported by Jacob Bachmeyer.
	* testsuite/runtest.all/utils.test: Fix missing end quote.

2018-10-28  Jacob Bachmeyer  <jcb62281@gmail.com>

	* lib/framework.exp (record_test): Fix message formatting.

2018-07-20  Ben Elliston  <bje@gnu.org>

	* contrib/mysql/make-datafile.sh: Eliminate Shellcheck warnings.
	* contrib/mysql/sum2xml.sh: Likewise.

2018-07-20  Ben Elliston  <bje@gnu.org>

	* contrib/compare_tests: Eliminate Shellcheck warnings.
	* contrib/mysql/sum2xml.sh: Likewise.

2018-07-20  Ben Elliston  <bje@gnu.org>

	* compile, depcomp, install-sh: Latest upstream versions.

2018-07-20  Ben Elliston  <bje@gnu.org>

	* contrib/sum2junit.sh: Eliminate some Shellcheck warnings.

2018-07-19  Ben Elliston  <bje@gnu.org>

	* runtest: Use POSIX 'command', not 'type', to look for the Expect
	binary. Silences Shellcheck warning SC2039 ("In POSIX sh, 'type'
	is undefined").

2018-07-19  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to latest version.
	* config.sub: Likewise.

2018-07-06  Richard Biener  <rguenther@suse.de>

	* lib/remote.exp (close_wait_program): Use separate kill command
	for each pid.

2017-10-16  Ben Elliston  <bje@gnu.org>

	* NEWS: Start a new section for the next release.
	* configure.ac (AC_INIT): Update version number.
	* configure: Regenerate.
	* runtest.exp (frame_version): Update version number.
	* doc/dejagnu.texi: Likewise.
	* doc/runtest.1: Update datestamp.

2017-10-16  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to version 2017-09-26.
	* config.sub: Likewise.

2017-09-13  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (open_logs): Set XML version to 1.1.
	(xml_tag): Skip valid whitespace chars (0x9, 0xA, 0xD). Include
	missing 'x' in escape sequence.

2017-08-29  Ben Elliston  <bje@gnu.org>

	Revert these changes:

	2016-04-25  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test: Remove unsetenv test.

	2016-04-24  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (unsetenv): Remove proc.
	* doc/dejagnu.texi: Update documentation.
	* NEWS: Update.

2017-08-19  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (xml_tag): Escape all of the non-printable
	control characters (ASCII codes 1 to 31 inclusive).

2017-08-18  Tom Tromey  <tom@tromey.com>

	* runtest.exp: Fix --directory matching.

2017-08-15  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (xml_tag): New proc.
	(log_summary): Use it.
	(record_test): Likewise.

2017-08-15  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (open_logs): Set .xml filename correctly.
	* runtest.exp: Remove xml_file_name var.
	(usage): Update --xml option to not take an argument.
	(load_tool_init): Likewise.
	* doc/dejagnu.texi (Invoking runtest): Update documentation.
	* doc/runtest.1: Likewise.

2017-08-01  Ben Elliston  <bje@gnu.org>

	* runtest.exp (usage): Improve --strace message.

2017-08-01  Ben Elliston  <bje@gnu.org>

	* runtest.exp (usage): --reboot doesn't take a 'name' parameter.

2017-06-04  Ben Elliston  <bje@gnu.org>

	* lib/target.exp (push_target): Remove unnecessary global command.
	* testsuite/runtest.all/target.test: Overhaul tests.

2017-06-04  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/remote.test: Remove cruft from yesteryear.

2017-06-04  Tom de Vries  <tom@codesourcery.com>

	* testsuite/runtest.all/target.test: Remove list_targets test.

2017-06-04  Tom de Vries  <tom@codesourcery.com>

	* testsuite/runtest.all/libs.exp (process_test): Dump entire
	output when there's no reportable output.
	* testsuite/runtest.all/remote.test (load_lib): New proc.
	* testsuite/runtest.all/target.test (load_lib): Same.

2017-03-11  Thomas Preud'homme  <thomas.preudhomme@arm.com>

	* lib/remote.exp (remote_download): Add logging message when
	source and destination file differ in name.

2016-09-04  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* runtest.exp: Set CCACHE_DISABLE, clear CCACHE_NODISABLE.

2016-06-28  Ben Elliston  <bje@gnu.org>

	* aclocal.m4, Makefile.in: Regenerate with automake 1.15.
	* configure: Regenerate.

2016-06-22  Bernhard Reutner-Fischer  <rep.dot.nop@gmail.com>

	* configure.ac, dejagnu.h, runtest, runtest.exp,
	baseboards/am33_2.0-libremote.exp, baseboards/androideabi.exp,
	baseboards/arm-ice.exp, baseboards/arm-sid.exp,
	baseboards/arm-sim.exp, baseboards/basic-sid.exp,
	baseboards/basic-sim.exp, baseboards/cris-sim.exp,
	baseboards/d30v-sim.exp, baseboards/fr30-sim.exp,
	baseboards/frv-sim.exp, baseboards/gdbserver-sample.exp,
	baseboards/i386-sid.exp, baseboards/iq2000-sim.exp,
	baseboards/jmr3904-sim.exp, baseboards/linux-gdbserver.exp,
	baseboards/linux-libremote.exp, baseboards/m68k-sid.exp,
	baseboards/mcore-moto-sim.exp, baseboards/mcore-sim.exp,
	baseboards/mips-lnews-sim.exp, baseboards/mips-lsi-sim.exp,
	baseboards/mips-sim-idt32.exp, baseboards/mips-sim-idt64.exp,
	baseboards/mips-sim-mti32.exp, baseboards/mips-sim-mti64.exp,
	baseboards/mips-sim-mti64_64.exp,
	baseboards/mips-sim-mti64_n32.exp, baseboards/mips-sim-sde32.exp,
	baseboards/mips-sim-sde64.exp, baseboards/mips-sim.exp,
	baseboards/mmixware-sim.exp, baseboards/mn10200-sim.exp,
	baseboards/mn10300-sim.exp, baseboards/moxie-sim.exp,
	baseboards/mt-sid.exp, baseboards/multi-sim.exp,
	baseboards/powerpc-sim.exp, baseboards/powerpcle-sim.exp,
	baseboards/rx-sim.exp, baseboards/sh-sid.exp,
	baseboards/sh-sim.exp, baseboards/sparc-sim.exp,
	baseboards/sparc64-sim.exp, baseboards/sparclite-sim-le.exp,
	baseboards/sparclite-sim.exp, baseboards/tx39-sim.exp,
	baseboards/unix.exp, baseboards/v850-sim.exp,
	baseboards/visium-sim.exp, baseboards/vr4100-sim.exp,
	baseboards/vr4111-sim.exp, baseboards/vr4300-sim.exp,
	baseboards/xtensa-sim.exp, lib/debugger.exp, lib/dejagnu.exp,
	lib/dg.exp, lib/ftp.exp, lib/kermit.exp, lib/remote.exp,
	lib/rlogin.exp, lib/rsh.exp, lib/standard.exp, lib/target.exp,
	lib/targetdb.exp, lib/telnet.exp, lib/tip.exp, lib/utils.exp,
	testsuite/config/default.exp, testsuite/lib/libsup.exp,
	testsuite/lib/util-defs.exp, testsuite/libdejagnu/tunit.exp,
	testsuite/libdejagnu/unit.cc, testsuite/runtest.all/libs.exp,
	testsuite/runtest.all/stats-sub.exp,
	testsuite/runtest.all/stats.exp, config/adb.exp,
	config/default.exp, config/gdb-comm.exp, config/gdb_stub.exp,
	config/sid.exp, config/sim.exp, config/unix.exp,
	config/vxworks.exp: Update copyright date for 2016.

2016-06-22  Bernhard Reutner-Fischer  <rep.dot.nop@gmail.com>

	* baseboards/aarch64-sim.exp, baseboards/am33_2.0-libremote.exp,
	baseboards/arm-ice.exp, baseboards/arm-sid.exp,
	baseboards/arm-sim.exp, baseboards/basic-sid.exp,
	baseboards/basic-sim.exp, baseboards/cris-sim.exp,
	baseboards/d30v-sim.exp, baseboards/fr30-sim.exp,
	baseboards/frv-sim.exp, baseboards/gdbserver-sample.exp,
	baseboards/generic-sim.exp, baseboards/i386-sid.exp,
	baseboards/iq2000-sim.exp, baseboards/jmr3904-sim.exp,
	baseboards/linux-gdbserver.exp, baseboards/linux-libremote.exp,
	baseboards/m68k-sid.exp, baseboards/mcore-moto-sim.exp,
	baseboards/mcore-sim.exp, baseboards/mips-lnews-sim.exp,
	baseboards/mips-lsi-sim.exp, baseboards/mips-sim-idt32.exp,
	baseboards/mips-sim-idt64.exp, baseboards/mips-sim.exp,
	baseboards/mmixware-sim.exp, baseboards/mn10200-sim.exp,
	baseboards/mn10300-sim.exp, baseboards/mt-sid.exp,
	baseboards/powerpc-sim.exp, baseboards/powerpcle-sim.exp,
	baseboards/rx-sim.exp, baseboards/sh-sid.exp,
	baseboards/sh-sim.exp, baseboards/sparc-sim.exp,
	baseboards/sparc64-sim.exp, baseboards/sparclite-sim-le.exp,
	baseboards/sparclite-sim.exp, baseboards/tx39-sim.exp,
	baseboards/unix.exp, baseboards/v850-sim.exp,
	baseboards/vr4100-sim.exp, baseboards/vr4111-sim.exp,
	baseboards/vr4300-sim.exp, baseboards/xtensa-sim.exp,
	lib/debugger.exp, lib/dejagnu.exp, lib/dg.exp, lib/framework.exp,
	lib/ftp.exp, lib/kermit.exp, lib/libgloss.exp, lib/remote.exp,
	lib/rlogin.exp, lib/rsh.exp, lib/standard.exp, lib/target.exp,
	lib/targetdb.exp, lib/telnet.exp, lib/tip.exp, lib/utils.exp,
	testsuite/config/default.exp, testsuite/lib/libsup.exp,
	testsuite/lib/util-defs.exp, testsuite/libdejagnu/tunit.exp,
	testsuite/libdejagnu/unit.cc, testsuite/runtest.all/libs.exp,
	testsuite/runtest.all/options.exp,
	testsuite/runtest.all/stats-sub.exp,
	testsuite/runtest.all/stats.exp, config/default.exp,
	config/gdb-comm.exp, config/gdb_stub.exp, config/sid.exp,
	config/sim.exp, config/unix.exp, config/vxworks.exp, configure.ac,
	dejagnu.h, runtest, runtest.exp: Use condensed years in copyright
	statement.

2016-06-22  Bernhard Reutner-Fischer  <rep.dot.nop@gmail.com>

	* doc/runtest.1: Use condensed years in copyright statement.

2016-06-21  Bernhard Reutner-Fischer  <rep.dot.nop@gmail.com>

	* runtest: Quote paths. Use test -z, -n for clarity.

2016-06-21  Bernhard Reutner-Fischer  <rep.dot.nop@gmail.com>

	* config/adb.exp (adb_exec) Improve verbose message.

2016-06-03  Jim Wilson  <jim.wilson@linaro.org>

	* baseboards/aarch64-sim.exp: New file.
	* Makefile.am (baseboard_DATA): Add aarch64-sim.exp.
	* Makefile.in: Regenerate.
	* lib/libgloss.exp (libgloss_link_flags): Map aarch64* to aarch64.

2016-04-26  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Fill more paragraphs.

2016-04-25  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test: Remove unsetenv test.

2016-04-24  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (unsetenv): Remove proc.
	* doc/dejagnu.texi: Update documentation.
	* NEWS: Update.

2016-04-19  Nick Clifton  <nickc@redhat.com>

	* baseboards/msp430-sim.exp: New file.
	* Makefile.am (baseboard_DATA): Add msp430-sim.exp.
	* Makefile.in: Regenerate.

2016-04-18  Ben Elliston  <bje@gnu.org>

	* runtest: Remove quoting in final exec command.

2016-04-17  Ben Elliston  <bje@gnu.org>

	* lib/remote.exp: Load ssh.exp lib.

2016-04-17  Ben Elliston  <bje@gnu.org>

	* lib/rsh.exp (rsh_open): Fix description comment.

2016-04-17  Ben Elliston  <bje@gnu.org>

	Reported by shellcheck.
	* runtest: Use $((..)) not `expr ..` and defensively double quote
	shell variables.

2016-04-17  Ben Elliston  <bje@gnu.org>

	* Makefile.am (pkgdata_DATA): Add lib/ssh.exp, lib/dmucs.exp.
	* Makefile.in: Regenerate.

2016-04-17  Ben Elliston  <bje@gnu.org>

	Reported by shellcheck.
	* runtest: Use $((..)) not `expr ..`.

2016-04-17  Ben Elliston  <bje@gnu.org>

	* configure.ac (AC_INIT): Update version number.
	* configure: Regenerate.
	* runtest.exp (frame_version): Update version number.
	* doc/dejagnu.texi: Likewise.

2016-04-17  Ben Elliston  <bje@gnu.org>

	* NEWS: Start a new section for the next release.

2016-04-15  Ben Elliston  <bje@gnu.org>

	* Makefile.am (CONTRIB): Add new contrib scripts.
	* Makefile.in: Regenrate.

2016-04-15  Ben Elliston  <bje@gnu.org>

	* lib/ssh.exp (ssh_exec): Handle regexp return status.

2016-04-13  Ben Elliston  <bje@gnu.org>

	* lib/rsh.exp (rsh_exec): Improve verbose message.
	* lib/ssh.exp (ssh_exec): Likewise.
	* config/adb.exp: Likewise.

2016-04-13  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Improve --version (-v) output.
	* testsuite/runtest.all/options.exp: Update test case.

2016-04-13  Christophe Lyon  <christophe.lyon@linaro.org>

	* lib/rsh.exp (rsh_exec): Handle regexp return status.

2016-04-08  Ben Elliston  <bje@gnu.org>

	Reported by Faraz Shahbazker.
	* doc/dejagnu.texi (Global config file): Fix broken @node.
	(Local config file): Likewise.

2016-04-07  Ben Elliston  <bje@gnu.org>

	* lib/remote.exp (remote_exec): Join cd $remotedir and $program on
	the command line with ';' and not &&.

2016-04-07  Ben Elliston  <bje@gnu.org>

	Reported by Faraz Shahbazker.
	* doc/dejagnu.texi (rsh_exec procedure): Fix broken @node.

2016-04-06  Yvan Roux  <yvan.roux@linaro.org>

	* lib/remote.exp (remnote_download): Create a remote directory if
	needed and use it.
	(remote_exec): Execute program inside remotedir when it exists.
	(standard_load): Set remotedir board field if not present.
	* config/unix.exp (unix_load): Handle remotedir in board field.
	(remotedir): Set board info field.
	* doc/dejagnu.texi (Board File Values): Document remotedir.

2016-04-06  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (Global config file): Put before node 'Local
	config file'.

2016-04-05  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Remove defunct and undocumented --tool_root option.

2016-04-04  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: More overhauling.

2016-04-04  Ben Elliston  <bje@gnu.org>

	* lib/targetdb.exp (set_board_info): Improve comment.
	(add_board_info): Likewise.

2016-04-04  Ben Elliston  <bje@gnu.org>

	* NEWS: Add some more detail.

2016-04-04  Ben Elliston  <bje@gnu.org>

	* site.tmpl: Delete.
	* Makefile.am (EXTRA_DIST): Remove site.tmpl.
	* Makefile.in: Regenerate.

2016-04-03  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: More overhauling.

2016-04-03  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Document the magical handling of -D[01].

2016-04-03  Ben Elliston  <bje@gnu.org>

	* doc/runtest.1: Do not document obsolete --status option. It is
	still accepted for compatibility, but does nothing.

2016-04-03  Ben Elliston  <bje@gnu.org>

	* doc/runtest.1 (OPTIONS): Place short forms (-v, -V, -x) first.

2016-04-03  Ben Elliston  <bje@gnu.org>

	* doc/runtest.1 (OPTIONS): Sort options.

2016-04-03  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: More overhauling.

2016-04-02  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Fill paragraphs.

2016-04-02  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Fix capitalisation of procedure names
	throughout.  Use Tcl syntax in procedure prototypes, not C syntax.

2016-04-02  Rob Savoye  <rob.savoye@linaro.org>

	* contrib/mysql/create-db.sql: New file.
	* contrib/mysql/importxml.sh: Likewise.
	* contrib/mysql/make-datafile.sh: Likewise.
	* contrib/mysql/plot.sh: Likewise.
	* contrib/mysql/README: Likewise.
	* contrib/mysql/sum2xml.sh: Likewise.

2016-04-02  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to version 2016-04-02.
	* config.sub: Update to version 2016-03-30.

2016-04-02  Rob Savoye  <rob.savoye@linaro.org>

	* contrib/sum2junit.sh: New.

2016-04-01  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi (connprocs): Document new SSH procs.

2016-03-31  Rob Savoye  <rob.savoye@linaro.org>

	* lib/ssh.exp: New.
	* NEWS: Update.

2016-03-30  Ben Elliston  <bje@gnu.org>

	* baseboards/mcore-moto-sim.exp, lib/dejagnu.exp, lib/dg.exp,
	lib/dmucs.exp, lib/framework.exp, lib/remote.exp, lib/target.exp,
	runtest.exp: Fix spelling errors in comments.

2016-03-30  Ben Elliston  <bje@gnu.org>

	* lib/remote.exp (remote_expect): Use perror not send_user.

2016-03-29  Ben Elliston  <bje@gnu.org>

	* lib/remote.exp (remote_expect): Fix spelling error.

2016-03-29  Rob Savoye  <rob.savoye@linaro.org>

	* runtest.exp: Only print "searching for <test name>" message at
	verbose level >= 2 -- too much noise.

2016-03-29  Ben Elliston  <bje@gnu.org>

	* texinfo.tex: Update to latest master version.
	* INSTALL: Likewise.

2016-03-29  Ben Elliston  <bje@gnu.org>

	* runtest.exp: More fixes identified by the Frink static analyser.
	* lib/dg.exp: Likewise.
	* config/adb.exp: Likewise.
	* config/vxworks.exp: Likewise.
	* baseboards/androideabi.exp: Likewise.
	* baseboards/basic-sid.exp: Likewise.
	* baseboards/multi-sim.exp: Likewise.

2016-03-28  Dominik Vogt  <vogt@linux.vnet.ibm.com>

	* dg.exp (dg-do): Do not change the previously selected action if
	a de-selected dg-do is encountered.

2016-03-28  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (check_xml): Remove unused proc.

2016-03-28  Rob Savoye  <rob.savoye@linaro.org>

	* lib/dmucs.exp: New.

2016-03-28  Rob Savoye  <rob.savoye@linaro.org>

	* lib/libgloss.exp (find_g++): Look for xgcc++ to use the freshly
	built compiler, then look in the path.

2016-03-28  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (which): Don't exclude symbolic links--Debian's
	/bin/which doesn't. Modern systems rely too heavily on symbolic
	links (eg. alternatives).

2016-03-28  Ben Elliston  <bje@gnu.org>

	* baseboards/multi-sim.exp: Indent properly.

2016-03-28  Ben Elliston  <bje@gnu.org>

	* lib/rlogin.exp (rlogin_open): Return -1 if unable to spawn
	rlogin. Identified by Frink.

2016-03-28  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Use 'array exists' for testing array existence
	rather than 'info exists'.

2016-03-28  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Fixes identified by the Frink static analyser:
	  (1) use -- in switch commands for safety,
	  (2) remove unreachable return commands after error commands,
	  (3) replace abbreviated "info proc" with "info procs",
	  (4) use -- in unset commands for safety where the variable name
	      is itself a variable.
	* lib/dg.exp: Likewise.
	* lib/debugger.exp: Likewise.
	* lib/framework.exp: Likewise.
	* lib/remote.exp: Likewise.
	* lib/target.exp: Likewise.
	* lib/targetdb.exp: Likewise.
	* lib/telnet.exp: Likewise.
	* lib/utils.exp: Likewise.

2016-03-28  Ben Elliston  <bje@gnu.org>

	* Makefile.am: Remove references to Docbook and friends.
	* configure.ac: Likewise.
	* Makefile.in: Regenerate.
	* configure: Regenerate.
	* doc/dejagnu.xml: Remove.
	* doc/legal.xml: Likewise.
	* doc/ref.xml: Likewise.
	* doc/user.xml: Likewise.

2016-03-28  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (exp_continue): Remove old compatibility
	wrapper. Expect deprecated 'continue -expect' in August 1997.

2016-03-28  Ben Elliston  <bje@gnu.org>

	* NEWS: Update.

2016-03-28  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (which): Reimplement to more closely mimic the
	behaviour of the UNIX which utility.
	* testsuite/runtest.all/utils.test: Test proc which.

2016-03-27  Ben Elliston  <bje@gnu.org>

	* lib/remote.exp (standard_wait): Append any trailing characters
	to $output that may be still in $expect_out(buffer) when eof is
	matched. Remove arbitrary limitation in the ".+" matching case,
	similar to the change to local_exec on 2016-02-17.

2016-03-23  Ben Elliston  <bje@gnu.org>

	* Makefile.am (baseboard_DATA): Remove cygwin.exp, mcore-elf.exp,
	mcore-pe.exp, vx4300.exp, vx68k.exp, vx960.exp, vxsparc.exp.
	* Makefile.in: Regenerate.
	* baseboards/cygwin.exp, baseboards/mcore-elf.exp,
	baseboards/mcore-pe.exp, baseboards/vx4300.exp,
	baseboards/vx68k.exp, baseboards/vx960.exp,
	baseboards/vxsparc.exp: Remove.

2016-03-23  Ben Elliston  <bje@gnu.org>

	* baseboards/README: Remove mention of devo.
	* baseboards/iq2000-sim.exp: Likewise.
	* baseboards/moxie-sim.exp: Likewise.

2016-03-23  Ben Elliston  <bje@gnu.org>

	* Makefile.am (baseboard_DATA): Add arm-ice.exp, arm-sim.exp.
	* Makefile.in: Regenerate.
	* baseboards/arm-ice.exp: Reinstate.
	* baseboards/arm-sim.exp: Likewise.

2016-03-23  Ben Elliston  <bje@gnu.org>

	* Makefile.am (config_DATA): Update.
	(baseboard_DATA): Likewise.
	* Makefile.in: Regenerate.
	* NEWS: Update.

	Remove the following old config files:

	* arc.exp, arm-ice.exp, base-config.exp, base68k.exp, bug.exp,
	cfdbug.exp, cygmon.exp, d10v.exp, ddb-ether.exp, ddb.exp, dos.exp,
	dve.exp, h8300.exp, i386-bozo.exp, i960.exp, m32r-stub.exp,
	m32r.exp, m68hc11.exp, m68k-emc.exp, mips-idt.exp,
	mn10200-eval.exp, mn10300-eval.exp, netware.exp, powerpc-bug.exp,
	proelf.exp, rom68k.exp, sh.exp, slite.exp, sparclet.exp,
	tic80.exp, vr4100.exp, vr4300.exp, vr5000.exp: Remove.

	Remove the following old baseboard files:

	* arc-sim.exp, arm-ice.exp, arm-sim.exp, cf.exp, cygmon.exp,
	d10v-sim.exp, d10v.exp, danlite-elf.exp, dos.exp, fr30-cygmon.exp,
	fr30-elf.exp, frv-elf.exp, frv-tiger.exp, frv-tomcat.exp,
	h8300-sim.exp, h8300.exp, i386-bozo.exp, i960-cyclone.exp,
	i960-sim.exp, m32r-elf.exp, m32r-linux-sim.exp, m32r-sid.exp,
	m32r-sim.exp, m68hc11-sim.exp, m68k-emc.exp, mips-idt.exp,
	mips64-sim.exp, mips64vr4100-sim.exp, mn10200-cygmon.exp,
	mn10300-cygmon.exp, msparc-cygmon.exp, op50n.exp, powerpc-bug.exp,
	powerpc-bug1.exp, rom68k-idp.exp, sh-hms.exp, sparclet-aout.exp,
	sparclite-coff.exp, sparclite-cygmon.exp, strongarm-cygmon.exp,
	tic80-sim.exp, tx39-dve.exp, usparc-cygmon.exp, vr4100-ddb.exp,
	vr4300-ddb.exp, vr4300.exp, vr5000-ddb.exp, x86-cygmon.exp,
	xscale-cygmon.exp: Remove.

2016-03-22  Ben Elliston  <bje@gnu.org>

	* lib/target.exp (only--Ls): Change '???' comment to a note. This
	isn't a serious shortcoming, but the comment should be retained.

2016-03-22  Rob Savoye  <rob.savoye@linaro.org>

	* baseboards/generic-sim.exp: If DEJAGNU_SIM_SPECFILE exists in
	the environment, use that as the spec file for bare metal testing.

2016-03-22  Ben Elliston  <bje@gnu.org>

	* Makefile.am (config_DATA): Add config/aarch64-fv8.exp.
	* Makefile.in: Regenerate.

2016-03-22  Rob Savoye  <rob.savoye@linaro.org>

	* config/aarch64-fv8.exp: Add support for testing armv8 using the
	ARM Foundation Model.

2016-03-21  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Whitespace, comment and typo fixes.
	* lib/dejagnu.exp: Likewise.
	* lib/remote.exp: Likewise.
	* lib/utils.exp: Likewise.

2016-03-21  Ben Elliston  <bje@gnu.org>

	* baseboards/mcore-moto-sim.exp: Remove old FIXME comment.
	* baseboards/mmixware-sim.exp: Likewise.
	* config/sim.exp: Likewise.
	* runtest.exp: Likewise.

2016-03-21  Ben Elliston  <bje@gnu.org>

	* lib/dg.exp (dg-get-options): Clean up regular expression and
	remove FIXME comment about it.

2016-03-20  Ben Elliston  <bje@gnu.org>

	* baseboards/i960-sim.exp: Remove stale ??? comment.
	* config/vxworks.exp: Likewise.

2016-03-20  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Load .dejagnurc last not first.
	(load_file): Update comment about Tcl 7.5a2.
	* doc/user.xml (Customizing DejaGnu): Document new search order
	for site.exp files.
	* doc/dejagnu.texi: Regenerate.
	* NEWS: Update.

2016-03-20  Ben Elliston  <bje@gnu.org>

	* lib/dg.exp (dg-runtest): Improve arg naming to remove a FIXME.

2016-03-20  Ben Elliston  <bje@gnu.org>

	* lib/dg.exp: Remove commented-out calls to send_user.

2016-03-20  Ben Elliston  <bje@gnu.org>

	* runtest.exp (load_file): Remove old comment.

2016-03-20  Ben Elliston  <bje@gnu.org>

	* lib/dg.exp (dg-test): There is no need to call unresolved to
	clear errcnt. Instead, pass 0 as argument 2 to perror.
	* runtest.exp (runtest): Likewise.

2016-03-16  Ben Elliston  <bje@gnu.org>

	Revert this change (the GCC testsuite uses diff):

	2016-03-15  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (diff): Remove proc.
	* doc/ref.xml: Update documentation.
	* doc/dejagnu.texi: Regenerate.
	* NEWS: Update.

2016-03-15  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/options.exp: Properly clean up log files
	left by the runtest under test.

2016-03-15  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/load_lib.exp: Typo fixes.

2016-03-15  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/options.exp: Add more tests.

2016-03-15  Ben Elliston  <bje@gnu.org>

	* testsuite/libdejagnu/tunit.exp: Clean up.

2016-03-15  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (diff): Remove proc.
	* doc/ref.xml: Update documentation.
	* doc/dejagnu.texi: Regenerate.
	* NEWS: Update.

2016-03-15  Ben Elliston  <bje@gnu.org>

	Revert this change:
	2016-02-14  Steve Ellcey  <sellcey@mips.com>

	* baseboards/multi-sim.exp (dynamic_linker_flag): Check
	GCC_UNDER_TEST.
	* baseboards/multi-sim.exp (rpath_flags): Ditto.

2016-03-13  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp: Whitespace fixes.

2016-03-13  Ben Elliston  <bje@gnu.org>

	* lib/dg.exp (dg-process-target): Remove old commented code.
	* lib/dg.exp (dg-test): Likewise.

2016-03-13  Ben Elliston  <bje@gnu.org>

	* lib/dg.exp: Improve top-of-file documentation.

2016-03-05  Yvan Roux  <yvan.roux@linaro.org>

	* lib/remote.exp (remote_exec): Restore original timeout value.

2016-03-04  Yvan Roux  <yvan.roux@linaro.org>

	* lib/remote.exp (standard_upload): Remove dead code.

2016-02-24  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (prune): Restore this proc.
	* doc/ref.xml: Update documentation.
	* doc/dejagnu.texi: Regenerate.
	* NEWS: Update.

2016-02-23  Iain Buclaw  <ibuclaw@gdcproject.org>

	* lib/libgloss.exp (find_gdc): New proc.
	* lib/target.exp (default_target_compile): Add D support.
	* NEWS: Update.

2016-02-20  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (diff): Replace calls to verbose followed by
	send_log with a single call to verbose -log. Remove additional
	newlines from the log messages.

2016-02-20  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (getdirs): Ignore .git and .svn directories.

2016-02-20  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp: Improve comments.
	* NEWS: Update.

2016-02-20  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (prune): Remove proc.
	* doc/ref.xml: Update documentation.
	* doc/dejagnu.texi: Regenerate.

2016-02-20  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (slay): Remove proc.
	* doc/ref.xml: Update documentation.
	* doc/dejagnu.texi: Regenerate.

2016-02-20  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (absolute): Remove proc.
	* doc/ref.xml: Update documentation.
	* doc/dejagnu.texi: Regenerate.

2016-02-20  Ben Elliston  <bje@gnu.org>

	* lib/utils.exp (psource): Remove proc.
	* doc/ref.xml: Update documentation.
	* doc/dejagnu.texi: Regenerate.

2016-02-20  Ben Elliston  <bje@gnu.org>

	* lib/targetdb.exp (board_info): Simplify return logic.

2016-02-19  Ben Elliston  <bje@gnu.org>

	* configure.ac: Require Tcl version 8.5 at a minimum.
	* configure: Regenerate.

2016-02-18  Ben Elliston  <bje@gnu.org>

	* configure.ac: Require Tcl version 8.6 at a minimum.
	* configure: Regenerate.

2016-02-17  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Tweak "Test run by .." output.

2016-02-17  Ben Elliston  <bje@gnu.org>

	* lib/target.exp (default_target_compile): Do not pass -log to
	verbose when outputting the captured compiler/assembler/linker
	diagnostic output as it will already be in the .log file courtesy
	of Expect.

2016-02-17  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Enable --status by default.
	(runtest): Set exit status to 2 if there is any error sourcing
	the Tcl scripts.
	* lib/framework.exp (unknown): Likewise, set exit status to 2.
	* doc/runtest.1: Clarify exit status codes.
	* NEWS: Update.

2016-02-17  Ben Elliston  <bje@gnu.org>

	* lib/remote.exp (local_exec): Call exp_continue until eof is
	matched.

2016-02-16  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Use the traditional exit codes when runtest is
	interrupted. This makes it possible to tell if runtest ran to
	completion or not. Suggested by Michael Chastain.

2016-02-15  Ben Elliston  <bje@gnu.org>

	* TODO: Add ideas produced from Cauldron 2013.

2016-02-15  Ben Elliston  <bje@gnu.org>

	* TODO: Update.

2016-02-15  Ben Elliston  <bje@gnu.org>

	* lib/dg.exp (dg-test): Remove comment about proc unresolved not
	setting exit_status to 1 -- it does.

2016-02-15  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (cleanup): Remove do-nothing proc.
	(log_and_exit): Remove call to cleanup.
	* doc/ref.xml: Remove documentation for cleanup.
	* doc/dejagnu.texi: Regenerate.

2016-02-15  Ben Elliston  <bje@gnu.org>

	Reported by David Malcolm.
	* lib/dejagnu.exp (text): Allow angle brackets in test messages.

2016-02-15  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to version 2016-02-11.
	* config.sub: Update to version 2016-01-01.

2016-02-14  Maxim Kuvyrkov  <maxim.kuvyrkov@linaro.org>

	* lib/remote.exp (remote_exec): Set global timeout for benefit of
	<remote>_exec.

2016-02-14  Ben Elliston  <bje@gnu.org>

	* lib/remote.exp (local_exec): Improve comments.

2016-02-14  Ben Elliston  <bje@gnu.org>

	* doc/runtest.1: Tweak.

2016-02-14  Steve Ellcey  <sellcey@mips.com>

	* baseboards/multi-sim.exp (dynamic_linker_flag): Check
	GCC_UNDER_TEST.
	* baseboards/multi-sim.exp (rpath_flags): Ditto.

2016-01-23  Simon Marchi  <simon.marchi@ericsson.com>

	* lib/remote.exp (standard_file): Reverse return logic for remote
	exists case.

2016-01-23  Simon Marchi  <simon.marchi@ericsson.com>

	* lib/remote.exp (standard_file); Add else clause.

2016-01-16  Ben Elliston  <bje@gnu.org>

	* runtest.exp (runtest): Improve comment about --status.

2016-01-12  Simon Marchi  <simon.marchi@ericsson.com>

	* lib/remote.exp (standard_file): The [ operator does not actually
	output anything. It returns 0 or 1 as its exit code, so "exit `[
	-f $file ]`" always expands to "exit " (equivalent to exit 0).
	Instead, use test(1) to check for file existence.

2015-12-20  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.xml: Begin overhauling.
	* doc/ref.xml: Likewise.
	* doc/user.xml: Likewise.
	* doc/dejagnu.texi: Regenerate.

2015-12-20  Ben Elliston  <bje@gnu.org>

	* doc/runtest.1: Miscellaneous minor improvements.

2015-12-09  Yoshinori Sato  <ysato@users.sourceforge.jp>

	* Makefile.am (baseboard_DATA): Add missing rx-sim.exp.
	* Makefile.in: Regenerate.

2015-11-16  Brooks Moses  <bmoses@google.com>

	* config/unix.exp: Add ability to set test timeout from site.exp.
	* doc/user.xml: Document new test_timeout variable in site.exp.
	* doc/dejagnu.texi: Regenerate.

2015-11-16  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/options.exp: Re-enable --strace 1 test.

2015-11-16  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/options.exp: Remove some commented code.

2015-11-16  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Refer to "DejaGnu version", not "Framework
	version" in --version output.
	* testsuite/runtest.all/options.exp: Update test case.

2015-11-14  Ben Elliston  <bje@gnu.org>

	* runtest.exp (usage): Improve help text.

2015-11-12  Ben Elliston  <bje@gnu.org>

	* runtest.exp (usage): Sort options in usage.

2015-11-12  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (note): Remove old commented-out code.

2015-11-11  Ben Elliston  <bje@gnu.org>

	* doc/user.xml (Summary File): 'untested', not 'runtested'.
	* doc/dejagnu.texi: Regenerate.

2015-11-11  Michael Forney  <forney@google.com>

	* lib/target.exp (default_target_compile): Honor LDFLAGS_FOR_TARGET.

2015-11-11  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Regenerate.

2015-11-10  Ben Elliston  <bje@gnu.org>

	* doc/user.xml: Fix runtest output formatting in <programlisting>.

2015-11-10  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.xml: Update month and year.
	* doc/user.xml: Lots of editorial fixes from Daniel Thibault
	<Daniel.Thibault@drdc-rddc.gc.ca>.

2015-09-10  Robert Suchanek  <Robert.Suchanek@imgtec.com>

	* baseboards/multi-sim.exp (rpath_flags): Add libgomp.so check.

2015-07-30  Pedro Alves  <palves@redhat.com>

	* lib/remote.exp (close_wait_program): New procedure.
	(local_exec, standard_close): Use it.

2015-05-23  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.xml: Fix broken URLs.
	* doc/dejagnu.texi: Regenerate.

2015-05-23  Ben Elliston  <bje@gnu.org>

	* doc/user.xml: Fix 'crosscompilation'.

2015-05-23  Ben Elliston  <bje@gnu.org>

	* doc/runtest.1 (log_dialog): Improve documentation.

2015-05-16  Filipe Brandenburger  <filbranden@google.com>

	* configure.ac: Enable subdir-objects, require automake 1.14.
	* Makefile.in: Regenerate.

2015-05-15  Filipe Brandenburger  <filbranden@google.com>

	* doc/dejagnu.xml: Fix typos such as stray }'s and @samp{...},
	possibly introduced in a conversion of .texi to SGML Docbook.
	* doc/user.xml: Likewise.
	* doc/ref.xml: Likewise.
	* doc/dejagnu.texi: Regenerate.

2015-05-15  Filipe Brandenburger  <filbranden@google.com>

	* runtest.exp (runtest): Introduce new --log_dialog option.
	* doc/runtest.1: Document it.
	* doc/user.xml: Likewise.
	* doc/dejagnu.texi: Regenerate.

2015-05-14  Steve Ellcey  <sellcey@imgtec.com>

	* baseboards/multi-sim.exp (get_library_dirlist): New.
	(dynamic_linker_flag): Use get_library_dirlist to find dynamic
	linker.
	(rpath_flags): Use get_library_dirlist to set rpath.

2015-05-12  Steve Ellcey  <sellcey@imgtec.com>

	* baseboards/generic-sim.exp: Check $DEJAGNU_SIM_OPTION.

2015-03-30  Ben Elliston  <bje@gnu.org>

	Revert the following change which causes breakage reported here:
	https://lists.gnu.org/archive/html/dejagnu/2015-03/msg00003.html

	2011-03-14  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* runtest.exp (runtest): Call reset_vars at initialisation so that
	perror does not affect test results in other test scripts.

2015-02-26  H.J. Lu  <hjl.tools@gmail.com>

	* lib/target.exp (default_target_compile): Prepend multilib_flags,
	instead of appending it.

2015-02-18  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (log_and_exit): Set tool to "testrun" if
	unset.

2015-02-05  Ben Elliston  <bje@gnu.org>

	* doc/runtest.1: Fix a spelling error.

2015-02-04  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to version 2015-01-01.
	* config.sub: Likewise.

2015-01-22  Eric Botcazou  <ebotcazou@adacore.com>

	* Makefile.am (baseboard_DATA): Add baseboards/visium-sim.exp.
	* Makefile.in: Regenerate.
	* baseboards/visium-sim.exp: New file.

2014-11-25  Ben Elliston  <bje@gnu.org>

	* lib/dejagnu.exp (host_execute): Remove stray leading hyphen.
	Reported by David Malcolm.

2014-10-28  Ben Elliston  <bje@gnu.org>

	* Makefile.in: Regenerate.

2014-10-28  Ben Elliston  <bje@gnu.org>

	* example: Remove stale examples.

2014-10-24  Steve Ellcey  <sellcey@mips.com>

	* dejagnu.h (pass): Make function static as well as inline.
	(xpass): Ditto.
	(fail): Ditto.
	(xfail): Ditto.
	(untested): Ditto.
	(unresolved): Ditto.
	(note): Ditto.
	(totals): Ditto.

2014-10-14  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Only match $directory, not *${directory}* when the
	user passes the --directory option. Reported by Sergey Alyoshin.

2014-10-14  Ben Elliston  <bje@gnu.org>

	* lib/dejagnu.exp (host_execute): Remove buffer_full check. This
	is not the right command keyword -- it is full_buffer. Reported by
	David Malcolm.

2014-07-15  Maciej W. Rozycki  <macro@mips.com>
	    Maciej W. Rozycki  <macro@codesourcery.com>

	* lib/targetdb.exp (add_board_info): New procedure.
	* doc/ref.xml (Add_board_info Procedure): New section.
	(Set_board_info Procedure): Add description.
	(Unset_board_info Procedure): Likewise.
	* doc/user.xml (Board Config File Values): Add `add_board_info'
	reference.  Reorder `gdb_init_command' table rows and remove a
	duplicate entry, reusing it for `gdb_init_commands'.

2014-06-25  Rob Savoye  <rob.savoye@linaro.org>

	* runtest.exp: (lookfor-file): Fix bug were none of the relative
	paths were actually being used for file lookup.

2014-06-06  Ben Elliston  <bje@gnu.org>

	* depcomp, install-sh, missing: Update to latest versions.
	* mkinstalldirs: Remove.
	* Makefile.in: Regenerate.

2014-06-04  Ben Elliston  <bje@gnu.org>

	* Makefile.in: Regenerate with Automake 1.14.1.
	* compile: Add missing file.

2014-06-04  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to version 2014-03-23.
	* config.sub: Likewise.

2014-06-04  Ben Elliston  <bje@gnu.org>

	* aclocal.m4: Regenerate with Automake 1.14.1.
	* configure: Regenerate with Autoconf 2.69.

2014-03-15  Steve Ellcey  <sellcey@mips.com>

	* baseboards/multi-sim.exp (rpath_flags): Add libatomic.so check.

2014-02-23  Steve Ellcey  <sellcey@mips.com>
	    Richard Sandiford  <rdsandiford@googlemail.com>

	* config/sim.exp (sim_exec): New.
	(sim_file): New.

2013-12-08  Richard Sandiford  <rdsandiford@googlemail.com>

	* lib/dg.exp (dg-test): Don't put the expected and actual output
	of a pattern test in the test name; send it to the log instead.

2013-11-01  Steve Ellcey  <sellcey@mips.com>

	* Makefile.am (baseboard_SCRIPTS): Add multi-sim.exp baseboard.
	* Makefile.in: Regenerate.
	* baseboards/multi-sim.exp: New.

2013-10-31  Anton Kolesov  <anton.kolesov@synopsys.com>

	* lib/remote.exp (standard_reboot): Return 1 instead of an empty string.
	(remote_reboot): Add comment explaining return value of this procedure.
	* doc/ref.xml (remote_reboot, standard_reboot): Document procedures.
	* doc/dejagnu.texi: Regenerate.

2013-10-15  Alexander Ivchenko  <alexander.ivchenko@intel.com>

	* baseboards/androideabi.exp (process_multilib_options): Add option.
	* config/adb.exp: Remove hardcoded -static option.
	(adb_load): Add the possibility to change the temp directory. Also
	handle permission potential problems.
	(adb_exec): Do cd to android_tmp_dir first.

2013-10-05  Jose E. Marchesi  <jose.marchesi@oracle.com>

	* baseboards/unix.exp: Add gdb settings to not use hardware
	watchpoints in sparc64 running GNU/Linux.

2013-06-17  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* runtest.exp (libdirs): New global variable.
	(load_lib): Append libdirs to search_and_load_files directories.
	* doc/ref.xml (load_lib): Document global variable libdirs.
	* doc/dejagnu.texi: Regenerate.
	* testsuite/runtest.all/load_lib.exp: New testcase.
	* Makefile.am (TESTSUITE_FILES): Add new testcase.
	* Makefile.in: Regenerate.

2013-06-15  Ben Elliston  <bje@gnu.org>

	* configure.ac: If DEJAGNU is unset, set it to /dev/null.
	* Makefile.am: Export DEJAGNU.
	* configure: Likewise.
	* Makefile.in: Regenerate.

2013-06-15  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* doc/user.xml: Fix typos.
	* doc/ref.xml: Likewise.
	* doc/dejagnu.texi: Regenerate.

2013-06-15  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* doc/user.xml: Fix number of columns in table.
	* doc/dejagnu.texi: Regenerate.

2013-06-15  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* doc/user.xml: Fix rendering errors around programlisting.
	* doc/ref.xml: Likewise.
	* doc/dejagnu.texi: Regenerate.

2013-06-15  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* doc/user.xml: Fix spacing before productname.
	* doc/dejagnu.texi: Regenerate.

2013-06-12  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* testsuite/runtest.all/default_procs.tcl (send_log): Use the
	magic "args" parameter name, as expect send_log proc accepts -- as
	a leading option.

2013-06-08  Makoto Fujiwara  <makoto@ki.nu>

	* Makefile.am (pkgdata_DATA): Rename from pkgdata_SCRIPTS.
	(config_DATA): Likewise for config_SCRIPTS.
	(baseboard_DATA): Likewise for baseboard_SCRIPTS.
	(EXTRA_DIST): Remove pkgdata_SCRIPTS, config_SCRIPTS and
	baseboard_SCRIPTS.
	* Makefile.in: Regenerate.

2013-06-08  Ben Elliston  <bje@gnu.org>

	* configure: Regenerate with autoconf 2.69.
	* aclocal.m4: Regenerate.

2013-03-31  Ben Elliston  <bje@gnu.org>

	* Makefile.am (html-local): Rename target from html.
	* Makefile.in: Regenerate with automake 1.12.6.
	* aclocal.m4: Likewise.
	* configure: Regenerate.

2013-03-28  Gilles Espinasse  <g.esp@free.fr>

	* TODO: Remove todo item about warncnt and errcnt.

2013-03-28  Gilles Espinasse  <g.esp@free.fr>

	* testsuite/lib/libsup.exp (make_defaults_file): Only set $tool once.

2013-03-26  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to version 2013-02-12.
	* config.sub: Likewise.

2013-02-16  Rob Savoye  <rob@build.welcomehome.org>

	* config/adb.exp: Add adb_file so we can remotely delete test
	cases to save on limited disk space. Don't remove the file after
	executing it, leave that for the test driver instead.

2013-02-15  Rob Savoye  <rob@welcomehome.org>

	* config/adb.exp: Remove the test case after executing
	it. Otherwise we can fill up all the diskspace on a small target
	pretty fast.

2013-02-11  Rob Savoye	<rob@welcomehome.org>

	* baseboards/androideabi.exp: Board support for Android using ADB.
	* config/adb.exp: Config support for Android using ADB.
	* Makefile.am (dist): Add new config and board files.
	* aclocal.m4, Makefile.in, configure, example/calc/configure,
	example/mathhelper/configure: Regenerated with newer autotools.

2012-12-05  Ben Elliston  <bje@gnu.org>

	* example/hello: Remove.
	* configure.ac: Likewise.
	* configure: Regenerate.

2012-10-04  Steve Ellcey  <sellcey@mips.com>

	* Makefile.am (baseboard_SCRIPTS): Add new baseboards.
	* Makefile.in: Regenerate.
	* baseboards/mips-sim-mti32.exp: New.
	* baseboards/mips-sim-mti64.exp: New.
	* baseboards/mips-sim-mti64_n32.exp: New.
	* baseboards/mips-sim-mti64_64.exp: New.
	* baseboards/mips-sim-sde32.exp: New.
	* baseboards/mips-sim-sde64.exp: New.

2012-10-04  Ben Elliston  <bje@gnu.org>

	* aclocal.m4: Regenerate with automake 1.11.3.
	* Makefile.in: Likewise.
	* configure: Regenerate with autoconf 2.68.

2012-08-22  Steve Ellcey  <sellcey@mips.com>

	* baseboards/generic-sim.exp: New baseboard definition.

2012-06-15  Andreas Schwab  <schwab@linux-m68k.org>

	* lib/framework.exp (clone_output): Protect from leading dash in
	$message.
	* runtest.exp (verbose): Likewise.

2012-06-11  Tom Tromey  <tromey@redhat.com>

	* doc/runtest.1: Update.
	* runtest.exp (xml_file_name): New global.
	(usage): Update.
	Handle optional argument to --xml.
	* lib/framework.exp (open_logs): Respect xml_file_name.

2012-03-24  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* runtest.exp (load_tool_init): Fix typo in -de option handling.

2012-03-24  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* doc/runtest.1: Correct name of debug file.

2012-02-25  Ben Elliston  <bje@gnu.org>

	* runtest: Search /usr/share/dejagnu and /usr/local/share/dejagnu
	for runtest.exp as a last resort (for usrmove environments, where
	/bin is a link to /usr/bin). From Honza Horak <hhorak@redhat.com>.

2011-12-30  Ben Elliston  <bje@gnu.org>

	* doc/user.xml: Various spelling and consistency fixes.
	* doc/ref.xml: Likewise.
	(exit_remote_shell): Remove, as this procedure is defunct.
	* doc/dejagnu.texi: Regenerate.

2011-12-30  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to version 2011-12-29.
	* config.sub: Update to version 2011-11-11.

2011-06-30  Tom Tromey  <tromey@redhat.com>

	* doc/ref.xml: Document find_gfortran.
	* doc/dejagnu.texi: Regenerate.
	* lib/target.exp (default_target_compile): Handle f90.
	(default_target_compile): Likewise.
	* lib/libgloss.exp (find_gfortran): New proc.

2011-06-30  Ben Elliston  <bje@gnu.org>

	* Makefile.am (all-local): New rule.
	* Makefile.in: Regenerate.

2011-04-12  Ben Elliston  <bje@gnu.org>

	* config/vxworks.exp (vxworks_file): Use "file delete", not "exec
	rm", for better portability.
	* config/netware.exp (${board}_load): Likewise.
	* lib/dg.exp (dg-test): Likewise.
	* lib/framework.exp (open_logs): Likewise.
	* lib/remote.exp (standard_file): Likewise.
	* runtest.exp: Likewise.
	* testsuite/runtest.all/options.exp: Likewise.

2011-03-15  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Whitespace cleanups.
	* lib/dejagnu.exp, lib/dg.exp, lib/framework.exp,
	lib/libgloss.exp, lib/remote.exp, lib/rsh.exp, lib/target.exp,
	lib/telnet.exp, lib/tip.exp, lib/utils.exp: Likewise.

2011-03-15  Ben Elliston  <bje@gnu.org>

	* runtest: Remove trailing semicolons.
	* lib/rsh.exp: Likewise.

2011-03-15  H.J. Lu  <hjl.tools@gmail.com>

	* lib/remote.exp (local_exec): Ignore SIGHUP.

2011-03-14  Ben Elliston  <bje@gnu.org>

	* runtest.exp (frame_version): Set to 1.5.1.
	* configure.ac (AC_INIT): Set version to 1.5.1.
	* configure: Regenerate.
	* doc/dejagnu.xml (appversion, version): Set to 1.5.1.
	* doc/dejagnu.texi: Regenerate.

2011-03-14  Ben Elliston  <bje@gnu.org>

	* dejagnu.h: Whitespace cleanups.

2011-03-14  Ben Elliston  <bje@gnu.org>

	* baseboards/cris-sim.exp: Remove trailing semicolon(s).
	* baseboards/mt-sid.exp: Likewise.
	* baseboards/tx39-sim.exp: Likewise.
	* lib/target.exp (default_target_compile): Likewise.

2011-03-14  Ben Elliston  <bje@gnu.org>

	Reported by Flash Sheridan <flash@pobox.com>:
	* doc/user.xml (Testing "Hello world" locally): Improve the
	example test script and make it robust to failures.  Tidy some
	formatting errors.
	* doc/dejagnu.texi: Regenerate.

2011-03-14  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* runtest.exp (runtest): Call reset_vars at initialisation so that
	perror does not affect test results in other test scripts.

2011-03-09  Ben Elliston  <bje@gnu.org>

	* NEWS: Start a new section for post-1.5 changes.

2011-03-09  Ben Elliston  <bje@gnu.org>

	* DejaGnu 1.5 released.

2011-03-09  Ben Elliston  <bje@gnu.org>

	* Makefile.am (DISTCLEANFILES): Define.
	* Makefile.in: Regenerate.
	* testsuite/runtest.all/libs.exp: Clean up temp files on exit.
	* testsuite/runtest.all/options.exp: Likewise for dbg.log.
	* testsuite/runtest.all/stats.exp: Likewise for tmpdir. Use "file
	mkdir" instead of exec'ing mkdir(1).

2011-03-07  Ben Elliston  <bje@gnu.org>

	* Makefile.am (doc/dejagnu.texi): Conditional on MAINTAINER_MODE.
	* Makefile.in: Regenerate.

2011-03-06  Ben Elliston  <bje@gnu.org>

	* configure.ac (AC_INIT): Set version to 1.5.
	* configure: Regenerate.
	* runtest.exp (frame_version): Set to 1.5.
	* doc/dejagnu.texi: Regenerate.

2011-03-04  Ben Elliston  <bje@gnu.org>

	* texinfo.tex: Import latest version from ftp://tug.org/tex.

2011-03-04  Ben Elliston  <bje@gnu.org>

	* Makefile.am (EXTRA_DIST): Correct name of historical ChangeLog.
	* Makefile.in: Regenerate.

2011-03-03  Ben Elliston  <bje@gnu.org>

	* Makefile.am: Bump to GPL version 3.
	* configure.ac: Likewise.
	* Makefile.in: Regenerate.
	* aclocal.m4: Likewise.
	* configure: Likewise.

2011-03-03  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to most recent version.
	* config.sub: Likewise.

2011-03-03  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (unknown): Rename the native Tcl ::unknown
	proc to ::tcl_unknown.  If ::tcl_unknown returns a failure result,
	then fall back to the conventional DejaGnu handling.  Report from
	David Byron <dbyron@dbyron.com>.

2011-03-03  Maciej W. Rozycki  <macro@codesourcery.com>

	* lib/remote.exp (remote_expect): Pass all exception conditions up
	to the caller.

2011-03-01  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* lib/dg.exp (dg-test): Support nested calls.

2010-04-13  Ben Elliston  <bje@gnu.org>

	* testglue.c: Remove duplicated prototypes for abort and exit.

2010-03-26  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* doc/user.xml (Tcl Variables For Command Line Options): Correct
	column count.

2010-01-21  Jie Zhang  <jie.zhang@analog.com>

	* config/gdb-comm.exp (gdb_comm_load): Set breakpoints after load.

2010-01-15  Anthony Green  <green@moxielogic.com>

	* baseboards/moxie-sim.exp: New baseboard.

2009-12-10  DJ Delorie  <dj@redhat.com>

	* baseboards/rx-sim.exp: New baseboard.

2009-10-15  Ben Elliston  <bje@gnu.org>

	* MAINTAINERS: Remove refererence to Tom Tromey's Tcl style guide.
	This web page has disappeared.

2009-07-06  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.xml, doc/ref.xml, doc/user.xml: Mark up options with
	<option> not <emphasis>.  Apply other grammatical fixes from
	Reuben Thomas.
	* doc/dejagnu.texi: Regenerate.

2009-07-06  Ben Elliston  <bje@gnu.org>

	* configure.ac: Check for docbook2x-texi.
	* configure: Regenerate.

2009-07-06  Ben Elliston  <bje@gnu.org>

	From Reuben Thomas  <rrt@sc3d.org>:
	* doc/runtest.1: Fix some formatting issues.

2009-06-16  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to most recent version.
	* config.sub: Likewise.

2009-06-16  Ben Elliston  <bje@gnu.org>

	* Makefile.am (rpm, deb, solpkg, hpdepot): Remove targets.
	* Makefile.in: Regenerate.
	* packaging: Remove directory and its contents.

2009-06-10  Maciej W. Rozycki  <macro@codesourcery.com>

	* config/gdb-comm.exp (gdb_comm_add_breakpoint): Handle pending
	breakpoints.

2008-12-03  Ben Elliston  <bje@gnu.org>

	* COPYING: Update to GPL version 3.

2008-04-07  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/ref.xml, doc/user.xml: Fix typos.
	* doc/dejagnu.texi: Regenerate.

2008-04-06  Daniel Jacobowitz  <drow@false.org>

	* Makefile.am (RUNTESTDEFAULTFLAGS): Add RUNTEST=$(RUNTEST).
	* Makefile.in: Regenerate.
	* dejagnu.exp (host_execute): Improve regexp matching.
	* testsuite/libdejagnu/unit.cc: C++ fixes.

2008-04-06  Daniel Jacobowitz  <drow@false.org>

	* lib/utils.exp (diff): Open both files as binary.

2008-04-06  Daniel Jacobowitz  <dan@codesourcery.com>

	* dejagnu.h (totals): Correct typos.

2008-04-06  Daniel Jacobowitz  <dan@codesourcery.com>

	* doc/user.xml (Adding a New Tool, Adding a New Target): Fix typos.
	* doc/dejagnu.texi: Regenerate.

2008-02-25  Ben Elliston  <bje@gnu.org>

	* doc/runtest.1: Update date of last revision.

2008-02-11  Hans-Peter Nilsson  <hp@axis.com>

	* baseboards/h8300.exp: Use -- before switch argument that may
	begin with "-".
	* baseboards/cris-sim.exp: Ditto.

2008-02-11  Hans-Peter Nilsson  <hp@axis.com>

	* Makefile.am (baseboard_SCRIPTS): Add scripts cris-sim.exp,
	iq2000-sim.exp and m32r-linux-sim.exp.
	* Makefile.in: Regenerate.

2008-02-08  Ben Elliston  <bje@gnu.org>

	* baseboards/cris-sim.exp: Fix MS-DOS line termination.

2007-12-28  Joseph Myers  <joseph@codesourcery.com>

	* lib/target.exp (default_link): Initialize nobjects before use.

2007-12-06  Ben Elliston  <bje@gnu.org>

	* lib/dg.exp (dg_bogus): Comment fix.

2007-10-31  DJ Delorie  <dj@redhat.com>

	* lib/framework.exp (open_logs): Line buffer the .sum file.

2007-09-04  Matt Kraai  <kraai@ftbfs.org>

	* doc/user.xml (Configuration): Fix typos.
	* doc/dejagnu.texi: Regenerate.

2007-08-28  Daniel Jacobowitz  <dan@codesourcery.com>

	* lib/remote.exp (standard_send): Correct quoting.

2007-05-17  Ben Elliston  <bje@gnu.org>

	* doc/user.xml: Correct the syntax for running apt-get on a Debian
	GNU/Linux system. From Peter Welte <weltepe@gmail.com>.

2007-04-30  Bob Wilson  <bob.wilson@acm.org>

	* baseboards/xtensa-sim.exp: Set target_install.  Stop using
	basic-sim.exp.  Run the simulator with --turbo option.  Replace
	needs_status_wrapper with the simulator's --exit_with_target_code
	option.

2006-10-15  Rob Savoye  <rob@bertha.welcomehome.org>

	* dejagnu.h: Add support for for expected failures and
	unexpected successes.

2005-05-06  Andrew Fyfe <a.fyfe@tiscali.co.uk>

	* doc/Makefile.am: Fix install path for man page.
	* Makefiles: Regenerated.

2006-08-29  Ben Elliston  <bje@gnu.org>

	* runtest.exp (usage): Use "triplet" instead of "config name".

2006-07-13  Daniel Jacobowitz  <dan@codesourcery.com>

	* Makefile.am (DOCBOOK2RTF): Fix typo.
	* Makefile.in: Regenerated.
	* lib/libgloss.exp (process_multilib_options): Use -- to handle
	options starting with hyphens.

2006-06-23  Eric Botcazou  <ebotcazou@adacore.com>

	* libgloss.exp (find_gnatmake): Rewrite.

2006-03-30  Daniel Jacobowitz  <dan@codesourcery.com>

	* rsh.exp (rsh_exec): Handle inp and outp arguments.  Use
	local_exec to run rsh.  Return failure if rsh times out.
	* remote.exp (local_exec): Handle "|& cat" we added when deciding
	whether to return output.

2006-06-09  Ben Elliston  <bje@gnu.org>

	* baseboards/cris-sim.exp: Use Tcl fall-through syntax for
	multiple cases, not a list (case uses lists, switch does not).
	Pass -glob to switch where applicable to emulate case behaviour.
	* baseboards/h8300.exp: Likewise.
	* lib/framework.exp (clone_output): Likewise.
	(clear_xfail): Likewise.
	(clear_kfail): Likewise.
	* lib/libgloss.exp (process_multilib_options): Likewise.
	* runtest.exp: Likewise.

2006-06-06  Ben Elliston  <bje@gnu.org>

	* Makefile.am (CONTRIB): New.
	(EXTRA_DIST): Add $(CONTRIB).
	(doc/dejagnu.texi): Set directory-category param to docbook2texi.
	* Makefile.in: Regenerate.
	* doc/dejagnu.texi: Likewise.

2006-06-06  Ben Elliston  <bje@gnu.org>

	* runtest.exp (load_lib): Typo fix.

2006-06-06  Ben Elliston  <bje@gnu.org>

	* dejagnu.h: Tidy comments.
	(_BUFFER_SIZE_): Remove to minimise namespace pollution.
	(wait): Define this function unconditionally.  Conditionally
	compile the function body if _DEJAGNU_WAIT_ is defined.
	(buffer): Set the buffer size explicitly.
	(pass): Use sizeof (buffer).  Call wait() unconditionally.
	(fail, untested, unresolved, note): Likewise.
	(enum teststate): Tidy whitespace.

2006-06-06  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.xml, doc/ref.xml, doc/user.xml: Edits.
	* doc/dejagnu.texi: Regenerate.

2006-06-06  Ben Elliston  <bje@gnu.org>

	Import from GCC tree:
	2006-06-02  Richard Earnshaw  <rearnsha@arm.com>
		    Mike Stump  <mrs@apple.com>

	* compare_tests: Handle multilibs better.

2006-06-06  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.texi: Regnerate using Docbook2X 0.8.7.

	* configure.ac: Check for docbook2texi, not docbook2x-texi.  The
	wrapper script changed its name again in the latest release.
	* configure: Regenerate.
	* Makefile.am (DOCBOOK2X_TEXI): Rename from this ..
	(DOCBOOK2TEXI): .. to this.
	(doc/dejagnu.texi): Do not use output-file parameter to deposit
	the .texi file into the source directory; use mv(1) instead. Set
	directory-description parameter.
	* Makefile.in: Likewise.

2006-06-02  Ben Elliston  <bje@gnu.org>

	* config/sim.exp (sim_upload): Match up argument names.

2006-06-02  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to most recent version.
	* config.sub: Likewise.

2006-06-02  Ben Elliston  <bje@gnu.org>

	* config/dos.exp (dos_open): Only run global board_info once at
	the beginning of the proc; remove duplicates.
	(dos_load): Use file join to separate path components.
	(dos_copy_upload): Likewise.
	* lib/remote.exp (call_remote): Use error, not "blooie" to trigger
	an error.

2006-06-02  Ben Elliston  <bje@gnu.org>

	* contrib/compare_tests: Import from the GCC contrib directory.

2006-05-24  Ben Elliston  <bje@gnu.org>

	* runtest.exp (verbose): Brace some expressions.
	(load_file, search_and_load_file): Likewise.
	(runtest): Likewise.

2006-05-23  Ben Elliston  <bje@gnu.org>

	* config/gdb-comm.exp (gdb_comm_load): Brace some expressions.
	* config/i960.exp (i960_spawn): Initialise status.
	* config/netware.exp (${board}_init): Brace some if expressions.
	* lib/dg.exp (dg-test): Brace some expressions.
	* lib/framework.exp (clone_output, log_and_exit, log_summary,
	record_test, pass, fail): Likewise.
	* lib/libgloss.exp (get_multilibs): Likewise.
	* lib/remote.exp (standard_transmit, unix_clean_filename,
	remote_load, check_for_board_status, remote_expect): Likewise.
	* lib/rsh.exp (rsh_exec): Likewise.

2006-05-22  Ben Elliston  <bje@gnu.org>

	* baseboards/cris-sim.exp: Use switch, not case.
	* baseboards/h8300.exp: Likewise.
	* config/base68k.exp (base68k_ld): Brace an if expression.

2006-05-22  Ben Elliston  <bje@gnu.org>

	* runtest.exp, baseboards/basic-sim.exp, baseboards/cf.exp,
	baseboards/cris-sim.exp, baseboards/i960-cyclone.exp,
	baseboards/mcore-moto-sim.exp, baseboards/mips64vr4100-sim.exp,
	baseboards/mmixware-sim.exp, baseboards/op50n.exp,
	baseboards/rom68k-idp.exp, baseboards/sparclite-sim-le.exp,
	baseboards/usparc-cygmon.exp, config/base-config.exp,
	config/base68k.exp, config/ddb-ether.exp, config/ddb.exp,
	config/dos.exp, config/gdb-comm.exp, config/gdb_stub.exp,
	config/i386-bozo.exp, config/i960.exp, config/m68k-emc.exp,
	config/netware.exp, config/sid.exp, config/sim.exp,
	config/tic80.exp, config/unix.exp, config/vxworks.exp,
	lib/debugger.exp, lib/dejagnu.exp, lib/dg.exp, lib/framework.exp,
	lib/ftp.exp, lib/kermit.exp, lib/libgloss.exp, lib/remote.exp,
	lib/rlogin.exp, lib/rsh.exp, lib/target.exp, lib/targetdb.exp,
	lib/telnet.exp, lib/tip.exp, lib/utils.exp: Put braces around if
	expressions throughout.

2006-05-22  Ben Elliston  <bje@gnu.org>

	* lib/framework.exp (open_logs): Use file join where applicable.
	* lib/libgloss.exp (libgloss_link_flags, newlib_link_flags,
	newlib_include_flags, g++_link_flags, libstdc++_link_flags,
	get_multilibs, winsup_include_flags, winsup_link_flags): Likewise.
	* lib/utils.exp (which): Likewise.
	* runtest.exp (search_and_load_file, lookfor_file,
	load_tool_init): Likewise.

	* lib/debugger.exp (watcharray): Add `array' parameter.  Rename
	`type' parameter to `op' and update all uses in the proc.
	(watchvar): Add `ignore' parameter for scalar variables.
	Likewise, rename `type' to `op' and update throughout the proc.

	* runtest.exp: Use switch, not case.
	* lib/framework.exp (clone_output): Likewise.
	(clear_xfail): Likewise.
	(clear_kfail): Likewise.
	(set_warning_threshold): Make warning_threshold global.
	(get_warning_threshold): Likewise.
	* lib/libgloss.exp (process_multilib_options): Use switch, not
	case.
	* lib/remote.exp (local_exec): Only run global errorInfo once.
	(standard_upload): Fix error in variable use ($file -> $srcfile).
	* lib/utils.exp (grep): Use switch, not case.
	(slay): Fix mismatched bracket.

	* lib/debugger.exp (watcharray): Use switch, not case.
	(watchvar): Likewise.
	(bt): Add an explanatory comment.

2006-04-03  Ben Elliston  <bje@gnu.org>

	* lib/debugger.exp, lib/dejagnu.exp, lib/dg.exp,
	lib/framework.exp, lib/libgloss.exp, lib/remote.exp,
	lib/rlogin.exp, lib/target.exp, lib/telnet.exp: Formatting.

2006-01-02  Ben Elliston  <bje@gnu.org>

	* configure.ac (AC_INIT): Set version to 1.4.99.
	* configure: Regenerate.

2006-01-01  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test: Add runtest_file_p.

2006-01-01  Ben Elliston  <bje@gnu.org>

	* runtest.exp (frame_version): Set to 1.4.99.

2006-01-01  Ben Elliston  <bje@gnu.org>

	* dejagnu.h: Update copyright notice.  Use C-style /* .. */
	comments for portability with ISO C compilers.
	* testsuite/libdejagnu/unit.cc: Likewise, update copyright notice.

2006-01-01  Ben Elliston  <bje@gnu.org>

	* runtest.exp: Update copyright notice.
	* example/calc/testsuite/calc.test/calc.exp: Likewise.
	* example/calc/testsuite/config/unix.exp: Likewise.
	* testsuite/libdejagnu/tunit.exp: Likewise.
	* testsuite/runtest.all/libs.exp: Likewise.
	* testsuite/runtest.all/options.exp: Likewise.
	* testsuite/runtest.all/stats-sub.exp: Likewise.
	* testsuite/runtest.all/stats.exp: Likewise.

2006-01-01  Ben Elliston  <bje@gnu.org>

	* config/default.exp, config/unix.exp, config/vxworks.exp,
	lib/debugger.exp, lib/dejagnu.exp, lib/framework.exp,
	lib/libgloss.exp, lib/remote.exp, testsuite/lib/util-defs.exp:
	Formatting fixes.
	* dejagnu.h, testsuite/config/default.exp,
	testsuite/lib/libsup.exp, testsuite/libdejagnu/tunit.exp,
	testsuite/libdejagnu/unit.cc, testsuite/runtest.all/libs.exp,
	testsuite/runtest.all/options.exp,
	testsuite/runtest.all/stats-sub.exp,
	testsuite/runtest.all/stats.exp: Update copyright notice and FSF
	office address. Remove bug reporting address, as it is now
	maintained centrally in the README file.

2005-12-31  Ben Elliston  <bje@gnu.org>

	* testsuite/runtest.all/utils.test: Don't bother mentioning
	absolute, psource, prune and slay as untested procedures.

2005-12-31  Ben Elliston  <bje@gnu.org>

	* doc/ref.xml (Utility Procedures): Note that the following
	procedures are deprecated: absolute, psource, prune, slay.
	* NEWS: Likewise.
	* doc/dejagnu.texi: Regenerate.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* Makefile.am (doc/dejagnu.texi): Don't use shell redirection, in
	case the command fails and zeroes the Texinfo source file.  Move
	the output (if successful) by its default filename using mv(1).
	* Makefile.in: Regenerate.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* configure.ac (DOCBOOK2X_TEXI): Add search for this program.
	* configure: Regenerate.
	* Makefile.am (DOCBOOK2PDF, DOCBOOK2RTF, DOCBOOK2PS): New.
	(DOCBOOK2HTML, DOCBOOK2X_TEXI): Likewise.
	(dejagnu.pdf): Use $(DOCBOOK2PDF).
	(dejagnu.ps): Likewise, use $(DOCBOOK2PS).
	(dejagnu.rtf): Likewise, use $(DOCBOOK2RTF).
	(html): Likewise, use $(DOCBOOK2HTML).
	(doc/dejagnu.texi): Produce using the docbook2x-texi wrapper,
	which is much simpler. Likewise, use $(DOCBOOK2X_TEXI).
	* Makefile.in: Regenerate.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* Makefile.am (EXTRA_DIST): Remove $(PACKAGING_METAFILES).
	(XML): Remove $(srcdir) from each filename; VPATH suffices.
	(PACKAGING_METAFILES): Remove.
	* Makefile.in: Regenerate.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* README: Rewrite.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* COPYING: Update.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* testsuite/libdejagnu/tunit.exp: Don't change to a non-existent
	subdirectory.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* Makefile.am (RUNTEST): Simplify, as Automake already generates
	similar logic in Makefile.in.
	* Makefile.in: Regenerate.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* Makefile.am (RUNTESTDEFAULTFLAGS): Omit --tool so that
	libdejagnu tests are run too.
	* Makefile.in: Regenerate.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* configure: Regenerate.

	* lib/remote.exp: Tidy.
	* lib/targetdb.exp: Likewise.
	* lib/target.exp (prune_warnings): Improve comments.
	* lib/dejagnu.exp: Likewise.
	* lib/utils.exp: Likewise.

	* NEWS: Update.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* doc/dejagnu.xml: Don't use apostrophes in section titles.
	* doc/dejagnu.texi: Regenerate.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* Makefile.am (XML): Include $(srcdir) in filenames.
	* Makefile.in: Regenerate.

2005-12-24  Ben Elliston  <bje@gnu.org>

	* doc/C/Makefile.am: Remove.
	* doc/C/Makefile.in: Likewise.

	* Makefile.am (SUBDIRS): Remove.
	(EXTRA_DIST): Append $(XML).
	(dist_man_MANS): Define.
	(info_TEXINFOS): Likewise.
	(XML): List XML source files.
	(dejagnu.pdf): New target.
	(dejagnu.ps): Likewise.
	(dejagnu.rtf): Likewise.
	(html): Likewise.
	(dejagnu.texi): Special rule to build Texinfo source.
	* Makefile.in: Regenerate.
	* configure.ac: Don't search for docbook2dvi.
	Search for docbook2rtf and docbook2pdf.
	Don't output doc/Makefile or doc/C/Makefile.
	* configure: Regenerate.
	* doc/texinfo.tex: Move from here ..
	* texinfo.tex: .. to here.
	* doc/Makefile.am: Remove.
	* doc/Makefile.in: Likewise.
	* doc/C/dejagnu.omf: Likewise.
	* doc/C/topic.dat: Likewise.
	* doc/C/dejagnu.xml: Move from here ..
	* doc/dejagnu.xml: .. to here.
	* doc/C/legal.xml: Move from here ..
	* doc/legal.xml: .. to here.
	* doc/C/ref.xml: Move from here ..
	* doc/ref.xml: .. to here.
	* doc/C/user.xml: Move from here ..
	* doc/user.xml: .. to here.
	* doc/dejagnu.texi: Rebuild from XML source.

2005-12-23  Ben Elliston  <bje@gnu.org>

	* doc/runtest.1: Update manual page.

2005-12-23  Ben Elliston  <bje@gnu.org>

	* doc/overview.sgml: Remove in favour of XML versions.
	* doc/ref.sgml: Ditto.
	* doc/user.sgml: Ditto.
	* doc/texinfo.tex: Import new version.

2005-12-20  Ben Elliston  <bje@gnu.org>

	* Makefile.am (SUBDIRS): Remove testsuite, example.
	(EXTRA_DIST): Add $(TESTSUITE_FILES).
	(TESTSUITE_FILES): New.
	(RUNTEST, RUNTESTDEFAULTFLAGS): New.
	(AM_CXXFLAGS): Set.
	(check_PROGRAMS): New.
	(unit_SOURCES): New.
	* Makefile.in: Regenerate.
	* configure.ac (AC_OUTPUT): Don't output example/Makefile,
	testsuite/Makefile or testsuite/libdejagnu/Makefile.
	* configure: Regenerate.
	* testsuite/Makefile.am: Remove.
	* testsuite/Makefile.in: Likewise.
	* testsuite/libdejagnu/Makefile.am: Likewise.
	* testsuite/libdejagnu/Makefile.in: Likewise.

2005-12-20  Ben Elliston  <bje@gnu.org>

	* Makefile.am (baseboard_SCRIPTS): Rename ms1->mt.
	* Makefile.in: Regenerate.

2005-12-20  Ben Elliston  <bje@gnu.org>

	* configure: Regenerate with autoconf 2.59.
	* aclocal.m4: Regenerate with aclocal 1.9.6.
	* Makefile.in: Regenerate with automake 1.9.6.
	* doc/Makefile.in: Likewise.
	* doc/C/Makefile.in: Likewise.
	* example/Makefile.in: Likewise.
	* testsuite/Makefile.in: Likewise.
	* testsuite/libdejagnu/Makefile.in: Likewise.

2005-12-20  Nathan Sidwell  <nathan@codesourcery.com>

	* baseboards/ms1-sid.exp: Rename from this ..
	* baseboards/mt1-sid.exp: .. to this. Update ms1->mt within.

2005-12-20  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to most recent version.
	* config.sub: Likewise.

2005-09-24  Ben Elliston  <bje@gnu.org>

	* packaging/pkg/pkginfo (EMAIL): Update mail address.

	* lib/rsh.exp: Tidy comments.

2005-07-07  Ben Elliston  <bje@gnu.org>

	* lib/telnet.exp (telnet_transmit): Remove; use standard method.

2005-07-07  Ben Elliston  <bje@gnu.org>

	* Makefile.am (baseboard_SCRIPTS): Add ms1-sid.exp.
	* Makefile.in: Regenerate.

2005-07-06  Ben Elliston  <bje@gnu.org>

	* lib/tip.exp (tip_open): Improve comments.
	(tip_download): Likewise.

2005-07-06  Ben Elliston  <bje@gnu.org>

	* lib/telnet.exp (telnet_open): Improve option handling.  Clarify
	documentation for each proc.

2005-07-06  Ben Elliston  <bje@gnu.org>

	* aclocal.m4: Regenerate with aclocal 1.9.
	* configure: Regenerate with autoconf 2.59.
	* doc/C/Makefile.am: Remove stray include.
	* Makefile.in, doc/Makefile.in, doc/C/Makefile.in,
	example/Makefile.in, testsuite/Makefile.in,
	testsuite/libdejagnu/Makefile.in: Regenerate with automake 1.9.

2005-07-06  Ben Elliston  <bje@gnu.org>

	Import some missing hunks from this patch on sourceware:

	2004-11-11  Nick Clifton  <nickc@redhat.com>

	* lib/libgloss.exp (libio_include_flags, g++_include_flags,
	winsup_include_flags): Revert previous patch, restoring the use of
	-I, for all libraries except newlib.  Newlib needs -isystem to
	avoid the problems with <limits.h> but the C++ and winsup
	libraries need -I because -isystem generates an implicit 'extern
	"C"' which may not be appropriate for certain targets.

2005-07-06  Aldy Hernandez  <aldyh@redhat.com>

	* baseboards/ms1-sid.exp: New.

2005-07-01  Ben Elliston  <bje@gnu.org>

	Unify some changes with the 1.4 branch:

	2004-10-28  Nick Clifton  <nickc@redhat.com>
	* baseboards/iq2000-sim.exp: New file.

	2004-06-08  Alexandre Oliva  <aoliva@redhat.com>
	* baseboards/mn10300-sim.exp: Set needs_status_wrapper and
	noresults to zero.

	2004-05-13  Kazuhiro Inaoka  <inaoka.kazuhiro@renesas.com>
	* baseboards/m32r-linux-sim.exp: Add New file.

2005-06-24  Ben Elliston  <bje@gnu.org>

	* MAINTAINERS: Update my email address.

2005-06-24  Ben Elliston  <bje@gnu.org>

	* Update the FSF's physical address throughout.

2005-06-22  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to most recent version.
	* config.sub: Likewise.

2005-04-28  Mark Kettenis  <kettenis@gnu.org>

	* lib/target.exp (prune_warnings): Add a few more linker
	warning patterns for OpenBSD.

2005-03-20  Mark Kettenis  <kettenis@gnu.org>

	* lib/target.exp (prune_warnings): Add linker warning patterns for
	OpenBSD.

2005-01-29  Hans-Peter Nilsson  <hp@axis.com>

	* baseboards/cris-sim.exp: New file.

2004-11-19  Nick Clifton  <nickc@redhat.com>

	* lib/libgloss.exp (newlib_include_flags): Document why -isystem
	is used instead of -I.
	(libio_include_flags): Use -I instead of -isystem and
	document why.
	(g++_include_flags): Use -I instead of -isystem.
	(libstdc++_include_flags): Likewise.

2004-11-04  Ben Elliston  <bje@gnu.org>

	* lib/dg.exp (dg-test): If a `dg-do run' test fails to compile,
	mark the test as unresolved, rather than warning.

2004-10-27  Nick Clifton  <nickc@redhat.com>

	* baseboards/iq2000-sim.exp: New file.

2004-08-20  Daniel Jacobowitz  <dan@debian.org>

	* testglue.c: Prototype abort(3) and exit(3).

2004-08-14  Paul Brook  <paul@codesourcery.com>

	* config/sim.exp (sim_download, sim_upload): New procs.

2004-06-30  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to current revision.
	* config.sub: Likewise.

2004-06-12  Ben Elliston  <bje@gnu.org>

	* config.guess: Update to current revision.
	* config.sub: Likewise.

2004-06-08  Alexandre Oliva  <aoliva@redhat.com>

	* testglue.c: Prototype abort and exit.

2004-06-08  Alexandre Oliva  <aoliva@redhat.com>

	* baseboards/mn10300-sim.exp: Set needs_status_wrapper to empty
	string.

Tue Feb 25 05:19:57 UTC 2003  Brendan Conoboy  <blc@@redhat.com>

	* lib/remote.exp (call_remote): Remove multilibs from the board
	name when rebooting a board.

2004-06-03  Alexandre Oliva  <aoliva@redhat.com>

	* baseboards/mn10300-sim.exp: Set needs_status_wrapper and
	noresults to zero.

2004-06-07  Ben Elliston  <bje@gnu.org>

	* lib/libgloss.exp (build_wrapper): Remove redundant set command.

2004-03-29  Joel Brobecker  <brobecker@gnat.com>

	* lib/libgloss.exp (find_gnatmake): New procedure.
	* lib/target.exp (default_target_compile): Add support for Ada.

2004-04-16  Kazuhiro Inaoka  <inaoka dot kazuhiro at renesas dot com>

	* baseboards/m32r-linux-sim.exp: Add New file.

2004-04-02  Rob Savoye  <rob@direwolf.welcomehome.org>

	* configure.ac, example/Makefile.am: Add example/mathhelper.
	* configure, alocal.m4, example/Makefile.in: Regenerated.

2004-04-02 Joel Sherrill <joel@OARcorp.com>

	* example/mathhelper: New example for using the unit testing API.

2004-03-05  Daniel Jacobowitz  <drow@mvista.com>

	* lib/remote.exp (standard_spawn): Fix rsh username support.

2004-03-06  Rob Savoye  <rob@althea.welcomehome.org>

	* doc/C: New directory for DocBook XML files.
	* doc/C/dejagnu.omf: New config file for scrollkeeper.
	* doc/C/topic.dat: New config file for the GNOME help system.
	* doc/C/dejagnu.xml: DocBook XML formatted verion of what was
	overview.sgml.
	* doc/C/ref.xml: DocBook XML formatted verion of what was
	ref.sgml.
	* doc/C/user.xml: DocBook XML formatted verion of what was
	user.sgml.

2004-02-17  Ben Elliston  <bje@wasabisystems.com>

	* runtest.exp: Do not trap SIGSEGV.

2004-02-16  Ben Elliston  <bje@wasabisystems.com>

	* configure.ac: Update AC_INIT and AM_INIT_AUTOMAKE invocations.
	* configure: Regenerate.

2004-02-09  Ben Elliston  <bje@wasabisystems.com>

	* doc/runtest.1: Improve some wording. Update last revision date.

2004-02-09  Ben Elliston  <bje@wasabisystems.com>

	* NEWS: Document yesterday's work.

	* runtest: Improve comments.

2004-02-09  Ben Elliston  <bje@wasabisystems.com>

	* TODO: Update.

	* testsuite/libdejagnu/unit.cc: Conform with GNU coding standard.

2004-02-08  Ben Elliston  <bje@wasabisystems.com>

	* configure.ac: Quote strings throughout in good Autoconf style.
	Remove AC_PROG_YACC invocation. Search for docbook2dvi, et al and
	expect using AC_PATH_PROG. Remove DJ_AC_PATH_DOCBOOK in favour of
	existing macros. Remove stale BOARDS and CONFIG substs. Ensure Tcl
	is at version 8.3 or greater.
	* configure: Regenerate.
	* acinclude.m4: Remove.
	* aclocal.m4: Regenerate.
	* Makefile.in: Likewise.
	* doc/Makefile.am (%.pdf: %.sgml): Use $(DOCBOOK2PDF).
	(%.dvi: %.sgml): Use $(DOCBOOK2DVI).
	(%.html: %.sgml): Use $(DOCBOOK2HTML).
	* doc/Makefile.in: Regenerate.
	* example/Makefile.in: Likewise.
	* testsuite/Makefile.in: Likewise.
	* testsuite/libdejagnu/Makefile.in: Likewise.
	* TODO: Update.

2004-02-08  Daniel Jacobowitz  <drow@mvista.com>

	* baseboards/cf.exp: Use -T instead of -Wl,-T for ldscript.
	* baseboards/fr30-elf.exp, baseboards/frv-elf.exp,
	baseboards/h8300.exp, baseboards/i960-cyclone.exp,
	baseboards/i960-sim.exp, baseboards/m32r-elf.exp,
	baseboards/mips-idt.exp, baseboards/mips-lnews-sim.exp,
	baseboards/mips-lsi-sim.exp, baseboards/mips64vr4100-sim.exp,
	baseboards/op50n.exp, baseboards/rom68k-idp.exp,
	baseboards/sh-hms.exp, baseboards/tx39-dve.exp,
	baseboards/vr4100-ddb.exp, baseboards/vr4100-sim.exp,
	baseboards/vr4111-sim.exp, baseboards/vr4300-ddb.exp,
	baseboards/vr4300-sim.exp, baseboards/vr4300.exp,
	baseboards/vr5000-ddb.exp: Likewise.

2004-02-08  Ben Elliston  <bje@wasabisystems.com>

	* runtest: Terminate with an error if expect cannot be found.
	* TODO: Update.

2004-02-08  Ben Elliston  <bje@wasabisystems.com>

	* configure.ac: Use AC_PATH_PROG to find expect(1).
	(DJ_AC_PATH_TCLSH): Remove unneeded invocation.
	* acinclude.m4 (DJ_AC_PATH_TCLSH): Remove.
	(DJ_AC_STL): Likewise.
	* configure: Regenerate.
	* aclocal.m4: Likewise.
	* configure: Likewise.
	* Makefile.in: Likewise.
	* doc/Makefile.in: Likewise.
	* example/Makefile.in: Likewise.
	* testsuite/Makefile.in: Likewise.
	* testsuite/libdejagnu/Makefile.in: Likewise.
	* TODO: Update.

2004-02-08  Ben Elliston  <bje@wasabisystems.com>

	* runtest.1: Remove any mention of mondfe.

2004-02-08  Ben Elliston  <bje@wasabisystems.com>

	* TODO: Add an item about timeouts.

2004-02-08  Daniel Jacobowitz  <drow@mvista.com>

	* baseboards/basic-sim.exp: Set gdb,do_reload_on_run.

2004-02-08  Ben Elliston  <bje@wasabisystems.com>

	* lib/standard.exp: Tidy.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* Makefile.am (pkgdata_SCRIPTS): Remove lib/mondfe, lib/xsh.exp.
	(config_SCRIPTS): Remove udi.exp, vrtx.exp.
	(baseboard_SCRIPTS): Remove a29k-udi.exp.
	* Makefile.in: Regenerate.
	* baseboards/a29k-udi.exp: Remove.
	* baseboards/dos.exp: Update comments.
	* config/udi.exp: Remove.
	* config/vrtx.exp: Remove.
	* doc/overview.sgml: Update. Don't mention mondfe and xsh support.
	* doc/ref.sgml: Likewise.
	* doc/user.sgml: Likewise.
	* lib/mondfe.exp: Remove.
	* lib/xsh.exp: Likewise.
	* lib/remote.exp: Don't load mondfe.exp or xsh.exp.
	* packaging/pkg/prototype: Update.
	* NEWS: Update.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* Makefile.am (rpmspec): Remove.
	(rpm): Additionally depend on dejagnu.spec.
	($(PKGDIR)/dejagnu): New target that installs DejaGnu into this
	directory.  This saves duplicated code in the solpkg and hpdepot
	targets.
	(solpkg): Depend on $(PKGDIR)/dejagnu.
	(hpdepot): Likewise.
	* Makefile.in: Regenerate.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* Makefile.am (RUNTEST, RUNTESTDEFAULTFLAGS): Remove.
	* Makefile.in: Regenerate.
	* testsuite/Makefile.am (CLEANFILES): Remove.
	(RUNTESTDEFAULTFLATS): Pass --srcdir and RUNTEST=$(RUNTEST).
	* testsuite/Makefile.in: Regenerate.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* lib/util-defs.exp: Move from here ..
	* testsuite/lib/util-defs.exp: .. to here.
	* Makefile.am (EXTRA_DIST): Remove lib/util-defs.exp.
	* Makefile.in: Regenerate.
	* testsuite/Makefile.am (EXTRA_DIST): Add lib/util-defs.exp.
	* testsuite/Makefile.in: Regenerate.
	* doc/ref.sgml (File Map): Remove util-defs.exp.
	* packaging/pkg/prototype: Update file list.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* NEWS: Document changes since 1.4.4.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* example/Makefile.am (check-recursive): Remove target.
	* example/Makefile.in: Regenerate.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* dejagnu.h: Conform with GNU coding standard.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* Makefile.am (PKGING): Remove.
	(PACKAGING_METAFILES): Update accordingly.
	(CLEANFILES, check-DEJAGNU): Remove.
	(tarball): Remove; use `dist'.
	(deb): Update target recipe to use `make dist'.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* Clean.tcl: Remove.

	* Makefile.am (SUBDIRS): Add testsuite, example directories.
	(EXTRA_DIST): Define.
	(pkgdata_SCRIPTS): Add lib/*.exp files.
	(DATE, TCLSH): Remove.
	(configdir, config_DATA, config_SCRIPTS): Define.
	(baseboarddir, baseboard_DATA, baseboard_SCRIPTS): Likewise.
	(pkgdata_DATA): Likewise.
	(djlibexecdir, djlibexec_SCRIPTS): Likewise.
	(PKGING, PACKAGING_METAFILES): New macros.
	(clean-local): Remove.
	(rpm): Depend on dist.
	(deb): Likewise.
	(dist-hook): Remove.
	(lib_dest, lib_files): Likewise.
	(baseboard_dest, baseboard_files): Likewise.
	(include_dest, config_dest, config_files): Likewise.
	(install-data-local): Likewise.
	(uninstall-local): Likewise.
	(site.exp): Likewise.
	* Makefile.in: Regenerate.

	* testsuite/Makefile.am (all, all-am, etcetera): Remove.
	(force): Likewise.
	(EXTRA_DIST): Define.
	(site.exp): Remove target.
	* testsuite/Makefile.in: Regenerate.
	* testsuite/libdejagnu/Makefile.am (EXTRA_DIST): Define.
	(noinst_PROGRAMS): Rename from this ..
	(check_PROGRAMS): .. to this.
	* testsuite/libdejagnu/Makefile.in: Regenerate.

	* doc/Makefile.am (man_MANS): Rename from this ..
	(dist_man_MANS): .. to this.
	(info_TEXINFOS): Define.
	(TARGETS): Remove overview.rtf.
	(EXTRA_DIST): Define.
	(%.rtf: %.sgml): Remove rule.
	(%.gif: %.fig): Likewise.
	(%.epsi: %.eps): Likewise.
	(%.eps: %.fig): Likewise.
	(clean, realclean, distclean): Remove.
	(install-docs): Don't install overview.rtf.
	* doc/Makefile.in: Regenerate.
	* doc/texinfo.tex: New file.

	* example/calc/Makefile.am (noinst_PROGRAMS): Rename from this ..
	(check_PROGRAMS): .. to this.
	(EXTRA_DIST): Add test cases and calc.1 man page.
	* example/calc/Makefile.in: Regenerate.
	* example/calc/aclocal.m4: Likewise.
	* example/calc/configure: Likewise.
	* example/calc/stamp-h.in: Remove.
	* example/hello/Makefile.am (bin_PROGRAMS): Rename from this ..
	(check_PROGRAMS): .. to this.
	(EXTRA_DIST): Define.
	* example/hello/Makefile.in: Regenerate.
	* example/hello/aclocal.m4: Likewise.
	* example/hello/configure: Likewise.
	* example/hello/testsuite/Makefile.am (EXTRA_DIST): Define.
	* example/hello/testsuite/Makefile.in: Regenerate.

2004-02-07  Ben Elliston  <bje@wasabisystems.com>

	* configure.ac: Remove commented out code.
	* configure: Regenerate.

2004-02-06  Ben Elliston  <bje@wasabisystems.com>

	* site.tmpl: Tidy.

2004-02-06  Ben Elliston  <bje@wasabisystems.com>

	* INSTALL: Import latest version.
	* depcomp: Likewise.
	* install-sh: Likewise.
	* missing: Likewise.

2004-02-06  Ben Elliston  <bje@wasabisystems.com>

	* configure.in: Rename from this ..
	* configure.ac: .. to this.  Require Autoconf 2.50.
	* Makefile.in: Regenerate.
	* doc/Makefile.in: Likewise.
	* example/Makefile.in: Likewise.
	* testsuite/Makefile.in: Likewise.
	* testsuite/libdejagnu/Makefile.in: Likewise.

2004-02-06  Ben Elliston  <bje@wasabisystems.com>

	* lib/target.exp (prune_warnings): Add spaces where required in
	NetBSD warnings.  Supersedes a patch in pkgsrc's devel/dejagnu.

2004-02-05  Ben Elliston  <bje@wasabisystems.com>

	* config.guess: Update to current revision.
	* config.sub: Likewise.

2004-02-04  Ben Elliston  <bje@wasabisystems.com>

	* configure.in (AC_NO_EXECUTABLES): Remove.
	* configure: Rebuild with Autoconf 2.59.
	* acinclude.m4 (DJ_AC_STL): Quote macro name to appease aclocal.
	(DJ_AC_PATH_TCLSH): Likewise.
	(DJ_AC_PATH_DOCBOOK): Likewise.
	* aclocal.m4: Rebuild.
	* Makefile.in: Rebuild with Automake 1.8.2.
	* doc/Makefile.in: Likewise.
	* example/Makefile.in: Likewise.
	* testsuite/Makefile.in: Likewise.
	* testsuite/libdejagnu/Makefile.in: Likewise.

2004-01-30  Ben Elliston  <bje@wasabisystems.com>

	Import orphaned patches from sources.redhat.com:

	2002-05-02  Fernando Nasser  <fnasser@redhat.com>
	* doc/dejagnu.texi: Document KFAIL and KPASS.

	2002-02-20  Richard Henderson  <rth@redhat.com>
	* lib/target.exp (prune_warnings): Revert early "In function"
	strip, as this breaks g++.dg tests.  Match dangerous regexp
	without the "In function" header.

	2002-02-09  Richard Henderson  <rth@redhat.com>
	* lib/target.exp (prune_warnings): Strip "In function" etc early.
	Adjust "dangerous" regexp for glibc's tmpnam warning.

	2001-09-10  Jim Blandy  <jimb@redhat.com>
	* baseboards/rom68k-idp.exp: Use -Tidpgdb.ld as the linker script,
	so we get the version of the `outbyte' function that does console
	output in a way that GDB's rom68k target recognizes.  Note that
	the board can now do output.

	2000-04-25  Felix Lee  <flee@cygnus.com>
	* baseboards/tx39-sim.exp: Use idt, not dve linker script.  Delete
	misleading comments and null statements.

2004-01-30  Ben Elliston  <bje@wasabisystems.com>

	* DejaGnu 1.4.4 released.

2004-01-27  Ben Elliston  <bje@wasabisystems.com>

	* Makefile.am (tarball): Depend on book1.html, not overview.html.
	Don't echo needless messages. Portably copy the source tree to
	dejagnu-${VERSION}.  Portably copy documentation files from the
	source tree to the distribution directory.  Don't copy RPM-related
	files -- leave that to the rpm target.
	(snapshot): Remove target.
	(overview.html): Rename target from this ..
	(book1.htm): .. to this.
	(rpm): Portably copy tar file to SOURCES directory.
	(deb): Depend on book1.html, not overview.html.
	(dist-hook): Depend on book1.html, not overview.html.
	* Makefile.in: Rebuild.
	* doc/Makefile.am (TARGETS): Depend on book1.html.
	(book1.html): Depend on html/book1.html.
	(overview.dvi): Remove target.
	* doc/Makefile.in: Rebuild.

2004-01-27  Ben Elliston  <bje@wasabisystems.com>

	* Clean.tcl: Run tclsh via /usr/bin/env for portability.
	(cleanfiles): Concatenate regular filenames that match .*.

2004-01-12  Ben Elliston  <bje@wasabisystems.com>

	* baseboards/frv-sim.exp: Remove reference to devo/sim.

2004-01-27  Ben Elliston  <bje@wasabisystems.com>

	* doc/overview: Remove all files.

2003-12-03  Ben Elliston  <bje@wasabisystems.com>

	* testsuite/runtest.all/utils.test: Fix a test for proc find which
	assumed that "subsubfile1" would appear at the end of the returned
	list.  Adjust to use a more robust regular expression.

2003-11-26  Ben Elliston  <bje@wasabisystems.com>

	* doc/overview.sgml (version): Update.
	* doc/overview/installation.html: Likewise.

	* packaging/rpm/dejagnu.spec: Update version numbers throughout.
	* packaging/pkg/pkginfo: Likewise.
	* packaging/depot/dejagnu.psf: Likewise.

2003-10-25  Ben Elliston  <bje@wasabisystems.com>

	* runtest.exp (frame_version): Bump version.
	* configure.in (AM_INIT_AUTOMAKE): Likewise.
	* configure: Regenerate.

2003-10-16  Rob Savoye   <rob@welcomehome.org>

	* packaging/prototype: Remove sh-hms-sim.exp, add sh-sim.

2003-10-13  Ben Elliston  <bje@wasabisystems.com>

	* baseboards/sh-hms-sim.exp: Remove. Replaced by sh-sim.exp.

2003-10-11  Corinna Vinschen  <vinschen@redhat.com>

	* baseboards/sh-sim.exp: New file.

2003-10-11  Ben Elliston  <bje@wasabisystems.com>

	* NEWS: Tidy.
	* AUTHORS: Don't list maintainers, reference MAINTAINERS instead.

2003-10-08  Ben Elliston  <bje@wasabisystems.com>

	* i960glue.c: Remove.
	* packaging/pkg/prototype: Remove i960glue.c.

2003-10-07  Ben Elliston  <bje@wasabisystems.com>

	* contrib/README: Remove.
	* contrib/testit: Remove bitrotten script.
	* contrib/test-g++: Likewise.
	* contrib/test-tool: Likewise.

2003-08-23  Ben Elliston  <bje@wasabisystems.com>

	* TODO: Tidy.
	* contrib/README: Bring up to date.

2003-08-23  Corinna Vinschen  <vinschen@redhat.com>

	* config/sid.exp: Add gdb settings to use no hardware watchpoints.

2003-08-23  Ben Elliston  <bje@wasabisystems.com>

	* README: Update section on reporting bugs.

2003-08-22  Ben Elliston  <bje@wasabisystems.com>

	* lib/kermit.exp: Document procs.
	* lib/ftp.exp: Likewise.

2003-08-19  Ben Elliston  <bje@wasabisystems.com>

	* contrib/testit: Run wish via /usr/bin/env for portability.

2003-08-18  Ben Elliston  <bje@wasabisystems.com>

	* Makefile.am: Tidy comments and unused command lines.
	* Makefile.in: Regenerate.
	* testsuite/libdejagnu/Makefile.in: Likewise.

	* contrib/bluegnu2.0.3: Remove unsupported subtree.

2003-08-18  Ben Elliston  <bje@wasabisystems.com>

	* MAINTAINERS: New file.

2003-08-17  Ben Elliston  <bje@wasabisystems.com>

	* doc/Makefile.am (AUTOMAKE_OPTIONS): Remove empty variable.
	* doc/Makefile.in: Regenerate.

2003-08-16  Ben Elliston  <bje@wasabisystems.com>

	* doc/overview.sgml (overview): Start overhauling chapter.

	* doc/README.Writers: New document on style conventions.
	* doc/ref.sgml: Replace "test suite" with "testsuite" throughout.
	* doc/user.sgml: Likewise.
	* doc/overview.sgml: Likewise.
	* doc/dejagnu.texi (Design Goals): Change "Deja Gnu" to "DejaGnu".

2003-08-12  Ben Elliston  <bje@wasabisystems.com>

	* Makefile.am (tarball): Update path to dejagnu.spec.
	(rpmspec): Likewise.
	(deb): Likewise, update path to package metafiles.
	(solpkg): Likewise.
	(hpdepot): Likewise.
	* Makefile.in: Regenerate.
	* aclocal.m4: Likewise.
	* configure: Likewise.
	* doc/Makefile.in: Likewise.
	* example/Makefile.in: Likewise.
	* testsuite/Makefile.in: Likewise.
	* deb: Move from here ..
	* packaging/deb: .. to here.
	* redhat: Move from here ..
	* packaging/rpm: .. to here.
	* depot: Move from here ..
	* packaging/depot: .. to here.
	* pkg: Move from here ..
	* packaging/pkg: .. to here.

	* testsuite/libdejagnu/Makefile.am (CXXFLAGS): Rename from this ..
	(AM_CXXFLAGS): .. to this, in order to suppress Automake warning.
	* testsuite/libdejagnu/Makefile.in: Regenerate.

2003-08-07  Ben Elliston  <bje@wasabisystems.com>

	* config/ddb.exp (${board}_init): Fix thinko: use Tcl incr command
	to increment count rather than count++ as in C.

2003-08-06  Ben Elliston  <bje@wasabisystems.com>

	* lib/remote.exp: Replace "TCL" with "Tcl".

2003-07-30  Ben Elliston  <bje@wasabisystems.com>

	* doc/runtest.1: Replace "TCL" with "Tcl".
	Make last revision date current.

2003-07-29  Ben Elliston  <bje@wasabisystems.com>

	* doc/overview.sgml: Replace "NT" with "Windows", correct Cygwin
	URLs and other stylistic improvements.
	* doc/ref.sgml: Likewise.
	* doc/user.sgml: Likewise.

2003-07-25  Mike Stump  <mrs@apple.com>

	* lib/target.exp (prune_warnings): Handle "nfs server .* not
	responding" and "nfs server .* is alive again".

2003-07-20  Ben Elliston  <bje@wasabisystems.com>

	* config.guess: Update to most recent version.
	* config.sub: Ditto.
	* AUTHORS: Add self to list of maintainers.

2003-07-25  Jim Dein  <jdein@deinji5.apple.com> (RIP)

	* lib/utils.exp (find): Fix double recursion bug.

2002-02-25  Jackie Smith Cashion  <jsmith@redhat.com>

	* baseboards/am33_2.0-libremote.exp: New file.

2000-11-21  Drew Moseley  <dmoseley@redhat.com>

	* baseboards/mn10300-cygmon.exp: Use the am33-2 flag for the
	ASB2303 board.

2000-08-10  Drew Moseley  <dmoseley@cygnus.com>

	* baseboards/mn10300-cygmon.exp: Added support for Cygmon based
	ASB2303 board.

2003-06-13  Phil Edwards <pme@devphil.com>

	* baseboards/mips64-sim.exp, baseboards/mips-sim.exp,
	baseboards/mips-sim-idt32.exp, baseboards/mips-sim-idt64.exp: Use
	only -T[linker] instead of -Wl,-T[linker].

2003-06-13  Jason Thorpe  <thorpej@wasabisystems.com>

	* lib/target.exp (prune_warnings): Add two more linker
	warning patterns for warnings generated by modern verions
	of NetBSD.

2003-05-12  H.J. Lu <hongjiu.lu@intel.com>

	* lib/libgloss.exp (build_wrapper): Add -Wl,-wrap,_exit.

2003-05-09  H.J. Lu <hongjiu.lu@intel.com>

	* runtest: Fix a typo.

2003-05-03  Nitin Dhavale <nitinpdhavale@indiatimes.com>

	* doc/user.sgml: Clarify how to set the verbose option.

2003-03-28 Chris Demetriou <cgd@broadcom.com>

	* lib/framework.exp (check_conditional_xfail): Adjust so that
	an empty 'includes' list matches all sets of flags.
	* doc/dejagnu.texi: Document the above.
	* doc/ref.sgml: Likewise.

2003-03-27  David Heine <dlheine@tensilica.com>

	* baseboards/xtensa-sim.exp: Fix a syntax error.

2003-03-16  Rob Savoye  <rob@direwolf.welcomehome.org>

	* lib/unix.exp: Preserve the value of LD_LIBRARY_PATH, rather
	than stomp on it. This is based on a patch from Brendan Conoboy
	<blc@redhat.com>.
	* Most files: Update copyright dates.

2003-03-13  Mike Stump  <mrs@apple.com>

	* lib/dg.exp(dg-test): Add compiler flags to testcase name, to
	help ensure uniqueness.

2003-03-05  Alexandre Oliva  <aoliva@redhat.com>

	* lib/remote.exp (standard_download, standard_upload): Support
	nfsdir and nfsroot_server.

See ChangeLog-1992 for earlier changes.
